Index: WAeUP_SRP/trunk/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 1781)
+++ WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 1782)
@@ -30,5 +30,5 @@
   <object name="student_course_result" meta_type="CPS Layout"/>
   <object name="student_create" meta_type="CPS Layout"/>
-  <object name="student_created_login" meta_type="CPS Layout"/>
+  <object name="student_firsttime_login" meta_type="CPS Layout"/>
   <object name="student_personal" meta_type="CPS Layout"/>
   <object name="student_personal_fe" meta_type="CPS Layout"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_created_login.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_created_login.xml	(revision 1781)
+++ 	(revision )
@@ -1,147 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_created_login" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_search_session_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="email" meta_type="Email Widget">
-  <property name="title">Email</property>
-  <property name="fields">
-   <element value="email"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Email</property>
-  <property name="label_edit">Email</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="jamb_reg_no" meta_type="JambRegNo Widget">
-  <property name="title">JAMB Registration Number</property>
-  <property name="fields">
-   <element value="jamb_reg_no"/>
-  </property>
-  <property name="label">JAMB Registration Number</property>
-  <property name="label_edit">JAMB Registration Number</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
-  <property name="size_max">10</property>
-  <property name="catalog">returning_import</property>
-  <property name="reference">student</property>
- </widget>
- <widget name="matric_no" meta_type="MatricNo Widget">
-  <property name="title">Matriculation Number</property>
-  <property name="fields">
-   <element value="matric_no"/>
-  </property>
-  <property name="label">Matriculation Number</property>
-  <property name="label_edit">Matriculation Number</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
-  <property name="size_max">10</property>
-  <property name="matric_no_catalog">students_catalog</property>
-  <property name="results_catalog"></property>
- </widget>
- <widget name="password" meta_type="Password Widget">
-  <property name="title">Password</property>
-  <property name="fields">
-   <element value="password"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Choose a Password</property>
-  <property name="label_edit">Choose a Password</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">15</property>
-  <property name="size_max">15</property>
-  <property name="check_digit">True</property>
- </widget>
- <widget name="phone_nr" meta_type="String Widget">
-  <property name="title">Phone Number</property>
-  <property name="fields">
-   <element value="phone_nr"/>
-  </property>
-  <property name="label">Phone Number</property>
-  <property name="label_edit">Phone Number</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">15</property>
-  <property name="size_max">15</property>
- </widget>
- <widget name="repeat_password" meta_type="Password Widget">
-  <property name="title">Password</property>
-  <property name="fields">
-   <element value="repeat_password"/>
-  </property>
-  <property name="label">Verify the Password</property>
-  <property name="label_edit">Verify the Password</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">15</property>
-  <property name="size_max">15</property>
-  <property name="password_widget">password</property>
-  <property name="size_min">0</property>
- </widget>
- <widget name="secret" meta_type="Secret Widget">
-  <property name="title">Secret Widget</property>
-  <property name="fields">
-   <element value="secret"/>
-  </property>
-  <property name="check_fields">
-   <element value="name"/>
-  </property>
-  <property name="label">Firstname, Middlename or Lastname</property>
-  <property
-     name="label_edit">Enter either your  Firstname, Middlename or Lastname</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">20</property>
-  <property name="size_max">40</property>
- </widget>
- <table>
-  <row>
-   <cell name="matric_no"/>
-  </row>
-  <row>
-   <cell name="secret"/>
-  </row>
-  <row>
-   <cell name="email"/>
-  </row>
-  <row>
-   <cell name="phone_nr"/>
-  </row>
-  <row>
-   <cell name="password"/>
-  </row>
-  <row>
-   <cell name="repeat_password"/>
-  </row>
- </table>
-</object>
-
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_firsttime_login.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_firsttime_login.xml	(revision 1782)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_firsttime_login.xml	(revision 1782)
@@ -0,0 +1,147 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="student_firsttime_login" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_search_session_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="email" meta_type="Email Widget">
+  <property name="title">Email</property>
+  <property name="fields">
+   <element value="email"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Email</property>
+  <property name="label_edit">Email</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_reg_no" meta_type="JambRegNo Widget">
+  <property name="title">JAMB Registration Number</property>
+  <property name="fields">
+   <element value="jamb_reg_no"/>
+  </property>
+  <property name="label">JAMB Registration Number</property>
+  <property name="label_edit">JAMB Registration Number</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+  <property name="size_max">10</property>
+  <property name="catalog">returning_import</property>
+  <property name="reference">student</property>
+ </widget>
+ <widget name="matric_no" meta_type="MatricNo Widget">
+  <property name="title">Matriculation Number</property>
+  <property name="fields">
+   <element value="matric_no"/>
+  </property>
+  <property name="label">Matriculation Number</property>
+  <property name="label_edit">Matriculation Number</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+  <property name="size_max">10</property>
+  <property name="matric_no_catalog">students_catalog</property>
+  <property name="results_catalog"></property>
+ </widget>
+ <widget name="password" meta_type="Password Widget">
+  <property name="title">Password</property>
+  <property name="fields">
+   <element value="password"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Choose a Password</property>
+  <property name="label_edit">Choose a Password</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
+  <property name="check_digit">True</property>
+ </widget>
+ <widget name="phone_nr" meta_type="String Widget">
+  <property name="title">Phone Number</property>
+  <property name="fields">
+   <element value="phone_nr"/>
+  </property>
+  <property name="label">Phone Number</property>
+  <property name="label_edit">Phone Number</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
+ </widget>
+ <widget name="repeat_password" meta_type="Password Widget">
+  <property name="title">Password</property>
+  <property name="fields">
+   <element value="repeat_password"/>
+  </property>
+  <property name="label">Verify the Password</property>
+  <property name="label_edit">Verify the Password</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">15</property>
+  <property name="size_max">15</property>
+  <property name="password_widget">password</property>
+  <property name="size_min">0</property>
+ </widget>
+ <widget name="secret" meta_type="Secret Widget">
+  <property name="title">Secret Widget</property>
+  <property name="fields">
+   <element value="secret"/>
+  </property>
+  <property name="check_fields">
+   <element value="name"/>
+  </property>
+  <property name="label">Firstname, Middlename or Lastname</property>
+  <property
+     name="label_edit">Enter either your  Firstname, Middlename or Lastname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">20</property>
+  <property name="size_max">40</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="matric_no"/>
+  </row>
+  <row>
+   <cell name="secret"/>
+  </row>
+  <row>
+   <cell name="email"/>
+  </row>
+  <row>
+   <cell name="phone_nr"/>
+  </row>
+  <row>
+   <cell name="password"/>
+  </row>
+  <row>
+   <cell name="repeat_password"/>
+  </row>
+ </table>
+</object>
+
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 1781)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 1782)
@@ -10,9 +10,5 @@
  <item key="school_fee_paid" msgid="">school fee paid</item>
  <item key="student_created" msgid="">data imported</item>
- <item key="application_pin_entered" msgid="">application pin entered</item>
- <item key="admission_applied" msgid="">applied for admission</item>
  <item key="objection_raised" msgid="">objection raised</item>
- <item key="admission_rejected" msgid="">admission rejected</item>
- <item key="finally_rejected" msgid="">finally rejected</item>
  <item key="admitted" msgid="">admitted</item>
  <item key="clearance_pin_entered" msgid="">clearance pin entered</item>
Index: WAeUP_SRP/trunk/skins/waeup_student/created_student_login.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/created_student_login.py	(revision 1781)
+++ 	(revision )
@@ -1,49 +1,0 @@
-##parameters=REQUEST
-# $Id$
-"""
-process the Application Form
-return html renderer + psm
-"""
-import DateTime
-from urllib import urlencode
-current = DateTime.DateTime()
-pr = context.portal_registration
-
-validate = REQUEST.has_key("cpsdocument_create_button")
-
-lt = context.portal_layouts
-#pr = context.portal_registration
-
-res,psm,ds = lt.renderLayout(layout_id= 'student_created_login',
-                      schema_id= 'student_returning',
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      formaction = "created_student_login",
-                      button = "Search",
-                      commit=False,
-                      )
-if psm == 'invalid':
-    return context.created_student_login_form(rendered = res,
-                                 psm = "Please correct your input!",
-                                 #psm = "%s, %s" % (psm,ds),
-                                 firstlayout = True,
-                                 lastlayout = True,
-                                 ds = ds,
-                                 )
-elif psm == '':
-    return context.created_student_login_form(rendered = res,
-                                 psm = None,
-                                 firstlayout = True,
-                                 lastlayout = True,
-                                 ds = ds,
-                                 )
-elif psm == 'valid':
-    pass
-action = "/set_access_data"
-args = {}
-args['matric_no'] = ds.get('matric_no')
-args['name'] = ds.get('student').name
-url = context.absolute_url() + action + '?' + urlencode(args)
-REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_student/created_student_login_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/created_student_login_form.pt	(revision 1781)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-           portal_status_message options/psm;
-           data_storage options/ds;
-           edition python:1;"
-           >
-  <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/content_lib_master/macros/master">
-      <metal:block fill-slot="header"
-                   tal:define="creation creation|nothing;
-                   edition edition|nothing;
-                   metadata metadata|nothing"
-                   >
-      </metal:block>
-      <metal:block fill-slot="main">
-        <h3>Firsttime login ! </h3>
-        <br />
-        <div tal:replace="structure rendered_main" />
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/firsttime_login.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/firsttime_login.py	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/firsttime_login.py	(revision 1782)
@@ -0,0 +1,49 @@
+##parameters=REQUEST
+# $Id: firsttime_login.py 1747 2007-05-07 20:56:24Z joachim $
+"""
+process the Application Form
+return html renderer + psm
+"""
+import DateTime
+from urllib import urlencode
+current = DateTime.DateTime()
+pr = context.portal_registration
+
+validate = REQUEST.has_key("cpsdocument_create_button")
+
+lt = context.portal_layouts
+#pr = context.portal_registration
+
+res,psm,ds = lt.renderLayout(layout_id= 'student_firsttime_login',
+                      schema_id= 'student_returning',
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      formaction = "firsttime_login",
+                      button = "Search",
+                      commit=False,
+                      )
+if psm == 'invalid':
+    return context.firsttime_login_form(rendered = res,
+                                 psm = "Please correct your input!",
+                                 #psm = "%s, %s" % (psm,ds),
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == '':
+    return context.firsttime_login_form(rendered = res,
+                                 psm = None,
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == 'valid':
+    pass
+action = "/set_access_data"
+args = {}
+args['matric_no'] = ds.get('matric_no')
+args['name'] = ds.get('student').name
+url = context.absolute_url() + action + '?' + urlencode(args)
+REQUEST.RESPONSE.redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt	(revision 1782)
+++ WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt	(revision 1782)
@@ -0,0 +1,23 @@
+<tal:block define="rendered_main options/rendered;
+           portal_status_message options/psm;
+           data_storage options/ds;
+           edition python:1;"
+           >
+  <metal:block define-macro="edit_form">
+    <metal:block use-macro="here/content_lib_master/macros/master">
+      <metal:block fill-slot="header"
+                   tal:define="creation creation|nothing;
+                   edition edition|nothing;
+                   metadata metadata|nothing"
+                   >
+      </metal:block>
+      <metal:block fill-slot="main">
+        <h3>First-time login! </h3>
+        <br />
+        <div tal:replace="structure rendered_main" />
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>