Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 1782)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 1783)
@@ -105,5 +105,5 @@
               title="Checkin revision" priority="160"
               icon_expr="actionicon_version_validate.png"/>
-              
+
  <action-icon category="global" action_id="configThemes"
               title="Portal Themes" priority="0"
@@ -124,9 +124,9 @@
  <action-icon category="global" action_id="members"
               title="Portal Members" priority="5"
-              icon_expr="actionicon_directories.png"/>              
+              icon_expr="actionicon_directories.png"/>
  <action-icon category="global" action_id="waeup_search"
               title="Search Portal" priority="6"
-              icon_expr="actionicon_search.png"/>     
-                       
+              icon_expr="actionicon_search.png"/>
+
  <action-icon category="global_header" action_id="print"
               title="Print" priority="0"
@@ -143,5 +143,5 @@
               title="Contact" priority="0"
               icon_expr="actionicon_email.png"/>
-              
+
  <action-icon category="user" action_id="login"
               title="Staff Login" priority="0"
@@ -162,5 +162,5 @@
               title="User preferences" priority="5"
               icon_expr="actionicon_user_preferences.png"/>
-              
+
  <action-icon category="student" action_id="login_staff"
               title="Staff Login" priority="0"
@@ -194,59 +194,5 @@
               title="Contact" priority="6"
               icon_expr="blank.gif"/>
- <action-icon category="import" action_id="import_faculties"
-              title="Import Faculties" priority="0"
-              icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
-              action_id="import_departments"
-              title="Import Departments" priority="1"
-              icon_expr="actionicon_submit.png"/>
- <action-icon category="import" action_id="import_courses"
-              title="Import Courses" priority="2"
-              icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
-              action_id="import_certificates"
-              title="Import Certificates" priority="3"
-              icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
-              action_id="import_certificate_courses"
-              title="Import CertCourses" priority="4"
-              icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
-              action_id="import_fulltime_students"
-              title="Import Fulltime Students" priority="5"
-              icon_expr="actionicon_submit.png"/>
- <action-icon category="import" action_id="import_jamb_data"
-              title="Import JAMB Data" priority="6"
-              icon_expr="actionicon_submit.png"/>
- <action-icon category="import" action_id="import_pume_data"
-              title="Import PUME Results" priority="7"
-              icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
-              action_id="import_fulltime_student_results"
-              title="Import Fulltime Student Results"
-              priority="7" icon_expr="actionicon_submit.png"/>
- <action-icon category="import"
-              action_id="import_pin_batches"
-              title="Import PIN Batches"
-              priority="8" icon_expr="actionicon_submit.png"/>
- <action-icon category="export" action_id="export_faculties"
-              title="Export Faculties" priority="1"
-              icon_expr="actionicon_unpublish.png"/>
- <action-icon category="export"
-              action_id="export_departments"
-              title="Export Departments" priority="2"
-              icon_expr="actionicon_unpublish.png"/>
- <action-icon category="export" action_id="export_courses"
-              title="Export Courses" priority="3"
-              icon_expr="actionicon_unpublish.png"/>
- <action-icon category="export"
-              action_id="export_certificates"
-              title="Export Certificates" priority="4"
-              icon_expr="actionicon_unpublish.png"/>
- <action-icon category="export"
-              action_id="export_certificate_courses"
-              title="Export Certificate Courses"
-              priority="5"
-              icon_expr="actionicon_unpublish.png"/>
+
  <action-icon category="student_navigation"
               action_id="students_home" title="Home"
@@ -269,7 +215,9 @@
               action_id="support" title="Enquiries"
               priority="5" icon_expr="blank.gif"/>
+              
  <action-icon category="student_object" action_id="slip"
               title="Acknowledegement Slip" priority="1"
               icon_expr="bell.png"/>
+              
  <action-icon category="student" action_id="login_student"
               title="Student Login" priority="0"
@@ -289,5 +237,8 @@
  <action-icon category="student" action_id="display_session_results"
               title="Display Session Results" priority="5"
-              icon_expr="zoom.png"/>
+              icon_expr="bell.png"/>
+ <action-icon category="student" action_id="firsttime_login"
+              title="Register for Previous Sessions" priority="6"
+              icon_expr="bell.png"/>
  <action-icon category="student" action_id="register_courses"
               title="Register Courses" priority="5"
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1782)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1783)
@@ -130,12 +130,17 @@
    <permission>View</permission>
   </action>
-  <action title="Check Adm. Details" action_id="check_admission"
+  <action title="Check Admission" action_id="check_admission"
      category="student" condition_expr="not:member"
      url_expr="string:${portal_url}/check_admission" visible="True">
    <permission>View</permission>
   </action>
-  <action title="View Sess. Results" action_id="display_session_results"
+  <action title="Return 2006/2007" action_id="display_session_results"
      category="student" condition_expr="not:member"
      url_expr="string:${portal_url}/display_session_results" visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="Previous Sessions" action_id="firsttime_login"
+     category="student" condition_expr="not:member"
+     url_expr="string:${portal_url}/firsttime_login" visible="True">
    <permission>View</permission>
   </action>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml	(revision 1782)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml	(revision 1783)
@@ -1,214 +1,221 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="course_results" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="code" meta_type="CertificateCourseId Widget">
-  <property name="title">Course Code</property>
-  <property name="fields">
-   <element value="code"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Course Code</property>
-  <property name="label_edit">Course Code</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="view"/>
-   <element value="edit"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="credits" meta_type="Int Widget">
-  <property name="title">Credits</property>
-  <property name="fields">
-   <element value="credits"/>
-  </property>
-  <property name="label">Credits</property>
-  <property name="label_edit">Credits</property>
-  <property name="readonly_layout_modes"/>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="passmark" meta_type="Int Widget">
-  <property name="title">Passmark</property>
-  <property name="fields">
-   <element value="passmark"/>
-  </property>
-  <property name="is_required">False</property>
-  <property name="label">Passmark</property>
-  <property name="label_edit">Passmark</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="title" meta_type="String Widget">
-  <property name="title">Course Title</property>
-  <property name="fields">
-   <element value="title"/>
-  </property>
-  <property name="label">Course Title</property>
-  <property name="label_edit">Course Title</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">60</property>
- </widget>
- <widget name="ansbook" meta_type="String Widget">
-  <property name="title">Ansbook</property>
-  <property name="fields">
-   <element value="ansbook"/>
-  </property>
-  <property name="label">Ansbook</property>
-  <property name="label_edit">Ansbook</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="semester" meta_type="Int Widget">
-  <property name="title">Semester</property>
-  <property name="fields">
-   <element value="semester"/>
-  </property>
-  <property name="label">Semester</property>
-  <property name="label_edit">Semester</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="carry_level" meta_type="String Widget">
-  <property name="title">Carry Level</property>
-  <property name="fields">
-   <element value="carry_level"/>
-  </property>
-  <property name="label">Carry Level</property>
-  <property name="label_edit">Carry Level</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="grade" meta_type="String Widget">
-  <property name="title">Grade</property>
-  <property name="fields">
-   <element value="grade"/>
-  </property>
-  <property name="label">Grade</property>
-  <property name="label_edit">Grade</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="import_id" meta_type="String Widget">
-  <property name="title">ID imported</property>
-  <property name="fields">
-   <element value="import_id"/>
-  </property>
-  <property name="label">ID imported</property>
-  <property name="label_edit">ID imported</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="score" meta_type="Int Widget">
-  <property name="title">Score</property>
-  <property name="fields">
-   <element value="score"/>
-  </property>
-  <property name="label">Score</property>
-  <property name="label_edit">Score</property>
-    <property name="readonly_layout_modes">
-    </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="status" meta_type="String Widget">
-  <property name="title">Status</property>
-  <property name="fields">
-   <element value="status"/>
-  </property>
-  <property name="label">Status</property>
-  <property name="label_edit">Status</property>
-  <property name="readonly_layout_modes">
-     <element value="edit"/>
-     <element value="create"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="weight" meta_type="String Widget">
-  <property name="title">Weight</property>
-  <property name="fields">
-   <element value="weight"/>
-  </property>
-  <property name="label">Weight</property>
-  <property name="label_edit">Weight</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="title"/>
-  </row>
-  <row>
-   <cell name="semester"/>
-  </row>
-  <row>
-   <cell name="credits"/>
-  </row>
-  <row>
-   <cell name="passmark"/>
-  </row>
-  <row>
-   <cell name="grade"/>
-  </row>
-  <row>
-   <cell name="ansbook"/>
-  </row>
-  <row>
-   <cell name="status"/>
-  </row>
-  <row>
-   <cell name="score"/>
-  </row>
-  <row>
-   <cell name="weight"/>
-  </row>
-  <row>
-   <cell name="gpa"/>
-  </row>
-  <row>
-   <cell name="carry_level"/>
-  </row>
-  <row>
-   <cell name="import_id"/>
-  </row>
- </table>
-</object>
+  <?xml version="1.0" ?> 
+- <object name="student_course_result" meta_type="CPS Layout">
+  <property name="layout_create_method" /> 
+  <property name="layout_edit_method" /> 
+  <property name="layout_view_method" /> 
+  <property name="style_prefix">layout_waeup_</property> 
+  <property name="flexible_widgets" /> 
+  <property name="validate_values_expr" /> 
++ <widget name="ansbook" meta_type="String Widget">
+  <property name="title">Ansbook</property> 
+- <property name="fields">
+  <element value="ansbook" /> 
+  </property>
+  <property name="label">Ansbook</property> 
+  <property name="label_edit">Ansbook</property> 
+  <property name="readonly_layout_modes" /> 
+  <property name="hidden_layout_modes" /> 
+  <property name="hidden_readonly_layout_modes" /> 
+  </widget>
+- <widget name="carry_level" meta_type="String Widget">
+  <property name="title">Carry Level</property> 
+- <property name="fields">
+  <element value="carry_level" /> 
+  </property>
+  <property name="label">Carry Level</property> 
+  <property name="label_edit">Carry Level</property> 
+  <property name="readonly_layout_modes" /> 
+  <property name="hidden_layout_modes" /> 
+  <property name="hidden_readonly_layout_modes" /> 
+  </widget>
+- <widget name="code" meta_type="CertificateCourseId Widget">
+  <property name="title">Course Code</property> 
+- <property name="fields">
+  <element value="code" /> 
+  </property>
+  <property name="is_required">True</property> 
+  <property name="label">Course Code</property> 
+  <property name="label_edit">Course Code</property> 
+  <property name="readonly_layout_modes" /> 
+- <property name="hidden_layout_modes">
+  <element value="view" /> 
+  <element value="edit" /> 
+  </property>
+  <property name="hidden_readonly_layout_modes" /> 
+  </widget>
+- <widget name="core_or_elective" meta_type="Boolean Widget">
+  <property name="title">Core or Elective</property> 
+- <property name="fields">
+  <element value="core_or_elective" /> 
+  </property>
+  <property name="is_required">True</property> 
+  <property name="label">Core or Elective</property> 
+  <property name="label_edit">Core or Elective</property> 
+  <property name="readonly_layout_modes" /> 
+  <property name="hidden_layout_modes" /> 
+  <property name="hidden_readonly_layout_modes" /> 
+  <property name="label_false">elective</property> 
+  <property name="label_true">core</property> 
+  </widget>
+- <widget name="credits" meta_type="Int Widget">
+  <property name="title">Credits</property> 
+- <property name="fields">
+  <element value="credits" /> 
+  </property>
+  <property name="label">Credits</property> 
+  <property name="label_edit">Credits</property> 
+- <property name="readonly_layout_modes">
+  <element value="edit" /> 
+  <element value="create" /> 
+  </property>
+- <property name="hidden_layout_modes">
+  <element value="create" /> 
+  </property>
+  <property name="hidden_readonly_layout_modes" /> 
+  </widget>
+- <widget name="grade" meta_type="String Widget">
+  <property name="title">Grade</property> 
+- <property name="fields">
+  <element value="grade" /> 
+  </property>
+  <property name="label">Grade</property> 
+  <property name="label_edit">Grade</property> 
+  <property name="readonly_layout_modes" /> 
+  <property name="hidden_layout_modes" /> 
+  <property name="hidden_readonly_layout_modes" /> 
+  </widget>
+- <widget name="import_id" meta_type="String Widget">
+  <property name="title">ID imported</property> 
+- <property name="fields">
+  <element value="import_id" /> 
+  </property>
+  <property name="label">ID imported</property> 
+  <property name="label_edit">ID imported</property> 
+- <property name="readonly_layout_modes">
+  <element value="edit" /> 
+  <element value="create" /> 
+  </property>
+- <property name="hidden_layout_modes">
+  <element value="create" /> 
+  </property>
+  <property name="hidden_readonly_layout_modes" /> 
+  </widget>
+- <widget name="passmark" meta_type="Int Widget">
+  <property name="title">Passmark</property> 
+- <property name="fields">
+  <element value="passmark" /> 
+  </property>
+  <property name="label">Passmark</property> 
+  <property name="label_edit">Passmark</property> 
+- <property name="readonly_layout_modes">
+  <element value="edit" /> 
+  <element value="create" /> 
+  </property>
+- <property name="hidden_layout_modes">
+  <element value="create" /> 
+  </property>
+  <property name="hidden_readonly_layout_modes" /> 
+  </widget>
+- <widget name="score" meta_type="Int Widget">
+  <property name="title">Score</property> 
+- <property name="fields">
+  <element value="score" /> 
+  </property>
+  <property name="label">Score</property> 
+  <property name="label_edit">Score</property> 
+  <property name="readonly_layout_modes" /> 
+  <property name="hidden_layout_modes" /> 
+  <property name="hidden_readonly_layout_modes" /> 
+  </widget>
+- <widget name="semester" meta_type="Int Widget">
+  <property name="title">Semester</property> 
+- <property name="fields">
+  <element value="semester" /> 
+  </property>
+  <property name="label">Semester</property> 
+  <property name="label_edit">Semester</property> 
+  <property name="readonly_layout_modes" /> 
+  <property name="hidden_layout_modes" /> 
+  <property name="hidden_readonly_layout_modes" /> 
+  </widget>
+- <widget name="status" meta_type="String Widget">
+  <property name="title">Status</property> 
+- <property name="fields">
+  <element value="status" /> 
+  </property>
+  <property name="label">Status</property> 
+  <property name="label_edit">Status</property> 
+- <property name="readonly_layout_modes">
+  <element value="edit" /> 
+  <element value="create" /> 
+  </property>
+  <property name="hidden_layout_modes" /> 
+  <property name="hidden_readonly_layout_modes" /> 
+  </widget>
+- <widget name="title" meta_type="String Widget">
+  <property name="title">Course Title</property> 
+- <property name="fields">
+  <element value="title" /> 
+  </property>
+  <property name="label">Course Title</property> 
+  <property name="label_edit">Course Title</property> 
+- <property name="readonly_layout_modes">
+  <element value="edit" /> 
+  <element value="create" /> 
+  </property>
+- <property name="hidden_layout_modes">
+  <element value="create" /> 
+  </property>
+  <property name="hidden_readonly_layout_modes" /> 
+  <property name="display_width">60</property> 
+  </widget>
+- <widget name="weight" meta_type="String Widget">
+  <property name="title">Weight</property> 
+- <property name="fields">
+  <element value="weight" /> 
+  </property>
+  <property name="label">Weight</property> 
+  <property name="label_edit">Weight</property> 
+  <property name="readonly_layout_modes" /> 
+  <property name="hidden_layout_modes" /> 
+  <property name="hidden_readonly_layout_modes" /> 
+  </widget>
+- <table>
+- <row>
+  <cell name="code" /> 
+  </row>
+- <row>
+  <cell name="title" /> 
+  </row>
+- <row>
+  <cell name="semester" /> 
+  </row>
+- <row>
+  <cell name="credits" /> 
+  </row>
+- <row>
+  <cell name="passmark" /> 
+  </row>
+- <row>
+  <cell name="grade" /> 
+  </row>
+- <row>
+  <cell name="ansbook" /> 
+  </row>
+- <row>
+  <cell name="status" /> 
+  </row>
+- <row>
+  <cell name="score" /> 
+  </row>
+- <row>
+  <cell name="weight" /> 
+  </row>
+- <row>
+  <cell name="core_or_elective" /> 
+  </row>
+- <row>
+  <cell name="carry_level" /> 
+  </row>
+  </table>
+  </object>
Index: WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 1782)
+++ WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 1783)
@@ -51,55 +51,3 @@
   <permission value="Modify portal content"/>
  </action>
- <action title="Faculties" action_id="import_faculties" category="import"
-    condition_expr="here/isSectionManager" url_expr="string:${object_url}/loadFacultiesFromCSV"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="Departments" action_id="import_departments" category="import"
-    condition_expr="here/isSectionManager" url_expr="string:${object_url}/loadDepartmentsFromCSV"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="Courses" action_id="import_courses" category="import"
-    condition_expr="here/isSectionManager" url_expr="string:${object_url}/loadCoursesFromCSV"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="Certificates" action_id="import_certificates"
-    category="import" condition_expr="here/isSectionManager"
-    url_expr="string:${object_url}/loadCertificatesFromCSV" visible="True">
-  <permission value="View"/>
- </action>
- <action title="CertificateCourses" action_id="import_certificate_courses"
-    category="import" condition_expr="here/isSectionManager"
-    url_expr="string:${object_url}/loadCertificateCoursesFromCSV"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="Faculties" action_id="export_faculties" category="export"
-    condition_expr="here/isSectionManager" url_expr="string:${object_url}/exportFacultiesToCSV"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="Departments" action_id="export_departments" category="export"
-    condition_expr="here/isSectionManager" url_expr="string:${object_url}/exportDepartmentsToCSV"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="Courses" action_id="export_courses" category="export"
-    condition_expr="here/isSectionManager" url_expr="string:${object_url}/exportCoursesToCSV"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="Certificates" action_id="export_certificates"
-    category="export" condition_expr="here/isSectionManager"
-    url_expr="string:${object_url}/exportCertificatesToCSV" visible="True">
-  <permission value="View"/>
- </action>
- <action title="CertificateCourses" action_id="export_certificate_courses"
-    category="export" condition_expr="here/isSectionManager"
-    url_expr="string:${object_url}/exportCertificateCoursesToCSV"
-    visible="True">
-  <permission value="View"/>
- </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 1782)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 1783)
@@ -50,30 +50,3 @@
     condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
     visible="False"/>
- <action title="FT Students" action_id="import_fulltime_students"
-    category="import" condition_expr="here/isSectionManager"
-    url_expr="string:${object_url}/loadFullTimeStudentsFromCSV"
-    visible="False">
-  <permission value="Modify portal content"/>
- </action>
- <action title="FT Student Results"
-    action_id="import_fulltime_student_results" category="import"
-    condition_expr="here/isSectionManager"
-    url_expr="string:${object_url}/loadFullTimeStudentsResultsFromCSV"
-    visible="False">
-  <permission value="Modify portal content"/>
- </action>
- <action title="JAMB Data"
-    action_id="import_jamb_data" category="import"
-    condition_expr="here/isSectionManager"
-    url_expr="string:${object_url}/loadJAMBFromCSV"
-    visible="False">
-  <permission value="Modify portal content"/>
- </action>
-<action title="PUME Data"
-    action_id="import_pume_data" category="import"
-    condition_expr="here/isSectionManager"
-    url_expr="string:${object_url}/loadPumeResultsFromCSV"
-    visible="False">
-  <permission value="Modify portal content"/>
- </action>
 </object>