Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 1784)
@@ -8,5 +8,5 @@
                        ">
 
-<metal:body use-macro="here/content_lib_master/macros/master">
+<metal:body use-macro="here/main_template/macros/master">
 
 <metal:header metal:fill-slot="header">
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_pin_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_pin_edit_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_pin_edit_form.pt	(revision 1784)
@@ -6,5 +6,5 @@
                    >
 <metal:block define-macro="edit_form">
-  <metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block use-macro="here/main_template/macros/master">
   <metal:block fill-slot="header"
     tal:define="creation creation|nothing;
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/allocate_reserved_bed_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/allocate_reserved_bed_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/allocate_reserved_bed_form.pt	(revision 1784)
@@ -9,5 +9,5 @@
            >
   <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/content_lib_master/macros/master">
+    <metal:block use-macro="here/main_template/macros/master">
       <metal:block fill-slot="header">
       </metal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt	(revision 1784)
@@ -7,5 +7,5 @@
     ">
 <metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
+<metal:block use-macro="here/main_template/macros/master">
   <metal:block fill-slot="style_slot">
     <link rel="Stylesheet" type="text/css" href=""
Index: /WAeUP_SRP/trunk/skins/waeup_default/common_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/common_edit_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_default/common_edit_form.pt	(revision 1784)
@@ -3,5 +3,5 @@
                    >
 <metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
+<metal:block use-macro="here/main_template/macros/master">
   <metal:block fill-slot="header"
     tal:define="creation creation|nothing;
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/pay_by_sc_form.pt	(revision 1784)
@@ -5,5 +5,5 @@
            >
   <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/content_lib_master/macros/master">
+    <metal:block use-macro="here/main_template/macros/master">
       <metal:block fill-slot="header"
                    tal:define="creation creation|nothing;
Index: /WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_student/add_student_form.pt	(revision 1784)
@@ -9,5 +9,5 @@
            >
   <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/content_lib_master/macros/master">
+    <metal:block use-macro="here/main_template/macros/master">
       <metal:block fill-slot="header">
       </metal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 1784)
@@ -6,5 +6,5 @@
                    >
 <metal:block define-macro="edit_form">
-  <metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block use-macro="here/main_template/macros/master">
   <metal:block fill-slot="header"
     tal:define="creation creation|nothing;
Index: /WAeUP_SRP/trunk/skins/waeup_student/change_password_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/change_password_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_student/change_password_form.pt	(revision 1784)
@@ -9,5 +9,5 @@
            >
   <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/content_lib_master/macros/master">
+    <metal:block use-macro="here/main_template/macros/master">
       <metal:block fill-slot="header">
       </metal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt	(revision 1784)
@@ -6,5 +6,5 @@
                    >
 <metal:block define-macro="edit_form">
-  <metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block use-macro="here/main_template/macros/master">
   <metal:block fill-slot="header"
     tal:define="creation creation|nothing;
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_pin_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_pin_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_pin_form.pt	(revision 1784)
@@ -6,5 +6,5 @@
                    >
 <metal:block define-macro="edit_form">
-  <metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block use-macro="here/main_template/macros/master">
   <metal:block fill-slot="header"
     tal:define="creation creation|nothing;
Index: /WAeUP_SRP/trunk/skins/waeup_student/display_pde_results_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_pde_results_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_student/display_pde_results_form.pt	(revision 1784)
@@ -5,5 +5,5 @@
                    >
 <metal:block define-macro="edit_form">
-  <metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block use-macro="here/main_template/macros/master">
   <metal:block fill-slot="header"
     tal:define="creation creation|nothing;
Index: /WAeUP_SRP/trunk/skins/waeup_student/display_pume_results_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_pume_results_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_student/display_pume_results_form.pt	(revision 1784)
@@ -5,5 +5,5 @@
                    >
 <metal:block define-macro="edit_form">
-  <metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block use-macro="here/main_template/macros/master">
   <metal:block fill-slot="header"
     tal:define="creation creation|nothing;
Index: /WAeUP_SRP/trunk/skins/waeup_student/display_session_results_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_session_results_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_student/display_session_results_form.pt	(revision 1784)
@@ -5,5 +5,5 @@
            >
   <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/content_lib_master/macros/master">
+    <metal:block use-macro="here/main_template/macros/master">
       <metal:block fill-slot="header"
                    tal:define="creation creation|nothing;
Index: /WAeUP_SRP/trunk/skins/waeup_student/set_access_data_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/set_access_data_form.pt	(revision 1783)
+++ /WAeUP_SRP/trunk/skins/waeup_student/set_access_data_form.pt	(revision 1784)
@@ -5,5 +5,5 @@
            >
   <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/content_lib_master/macros/master">
+    <metal:block use-macro="here/main_template/macros/master">
       <metal:block fill-slot="header"
                    tal:define="creation creation|nothing;