Index: WAeUP_SRP/trunk/skins/waeup_default/campus_anonymous_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_anonymous_view.pt	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_default/campus_anonymous_view.pt	(revision 1785)
@@ -5,13 +5,4 @@
           <br />Student Registration Portal of the University of Benin, Nigeria</h2>
         <br />
-        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
-          For further information see 
-          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
-        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
-          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
-        proceed with the admission and clearance process.</p>
-        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
-        to register courses for the current session, to pay their school fees and to book accommodation.</p>
-        <p>This site is best seen in Firefox browser.</p>
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 1785)
@@ -10,5 +10,5 @@
 # $Id$
 """
-return the correct campus_index_html
+return the correct campus_index
 """
 
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt	(revision 1785)
@@ -5,13 +5,4 @@
           <br />Student Registration Portal of the University of Benin, Nigeria</h2>
         <br />
-        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
-          For further information see 
-          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
-        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
-          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
-        proceed with the admission and clearance process.</p>
-        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
-        to register courses for the current session, to pay their school fees and to book accommodation.</p>
-        <p>This site is best seen in Firefox browser.</p>
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_default/create_common.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/create_common.py	(revision 1784)
+++ 	(revision )
@@ -1,47 +1,0 @@
-##parameters=REQUEST=None
-# $Id$
-"""
-Create a Faculty
-
-"""
-type_name = REQUEST.get('type_name')
-
-ti = context.portal_types[type_name]
-pr = context.portal_registration
-pm = context.portal_membership
-
-validate = REQUEST.has_key("cpsdocument_create_button")
-
-lt = context.portal_layouts
-
-res,psm,ds = lt.renderLayout(layout_id= type_name.lower(),
-                      schema_id= type_name.lower(),
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      )
-if psm == 'invalid':
-    return context.common_edit_form(rendered = res,
-                                 create = 1,
-                                 type_name = type_name,
-                                 psm = 'Please correct your errors!',
-                                 )
-elif psm == '':
-    return context.common_edit_form(rendered = res,
-                                 create = 1,
-                                 type_name = type_name,
-                                 psm = psm,
-                                 )
-
-elif psm == 'valid':
-    oid = "%s" % ds.get('Title').replace(' ','')
-    context.invokeFactory(type_name,oid)
-    object = getattr(context,oid)
-    object.getContent().edit(mapping=ds)
-    context.notifyCPSDocumentCreation(ob=object)
-    psm = 'new %s created!' % oid
-    context_ti = context.portal_types[context.portal_type]
-    index = context_ti.getActionById('view','university_view')
-    return getattr(context,index)(psm=psm)
-
Index: WAeUP_SRP/trunk/skins/waeup_default/create_common.py_not_uses
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/create_common.py_not_uses	(revision 1785)
+++ WAeUP_SRP/trunk/skins/waeup_default/create_common.py_not_uses	(revision 1785)
@@ -0,0 +1,47 @@
+##parameters=REQUEST=None
+# $Id: create_common.py 892 2006-11-18 21:14:18Z henrik $
+"""
+Create a Faculty
+
+"""
+type_name = REQUEST.get('type_name')
+
+ti = context.portal_types[type_name]
+pr = context.portal_registration
+pm = context.portal_membership
+
+validate = REQUEST.has_key("cpsdocument_create_button")
+
+lt = context.portal_layouts
+
+res,psm,ds = lt.renderLayout(layout_id= type_name.lower(),
+                      schema_id= type_name.lower(),
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      )
+if psm == 'invalid':
+    return context.common_edit_form(rendered = res,
+                                 create = 1,
+                                 type_name = type_name,
+                                 psm = 'Please correct your errors!',
+                                 )
+elif psm == '':
+    return context.common_edit_form(rendered = res,
+                                 create = 1,
+                                 type_name = type_name,
+                                 psm = psm,
+                                 )
+
+elif psm == 'valid':
+    oid = "%s" % ds.get('Title').replace(' ','')
+    context.invokeFactory(type_name,oid)
+    object = getattr(context,oid)
+    object.getContent().edit(mapping=ds)
+    context.notifyCPSDocumentCreation(ob=object)
+    psm = 'new %s created!' % oid
+    context_ti = context.portal_types[context.portal_type]
+    index = context_ti.getActionById('view','university_view')
+    return getattr(context,index)(psm=psm)
+
Index: WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt	(revision 1784)
+++ 	(revision )
@@ -1,22 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;"
-                   >
-<metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header"
-    tal:define="creation creation|nothing;
-                edition python:1;
-                metadata metadata|nothing"
-                >
-    </metal:block>
-
-    <metal:block fill-slot="main">
-      <h1>Enter the Data for a <span tal:content="options/type_name" /> </h1>
-      <div tal:replace="structure rendered_main" />
-    </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-
-</metal:block>
-</metal:block>
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt_not_used	(revision 1785)
+++ WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt_not_used	(revision 1785)
@@ -0,0 +1,16 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;"
+                   >
+<metal:block define-macro="edit_form">
+<metal:block use-macro="here/main_template/macros/master">
+  <metal:block fill-slot="header"/>
+  <metal:block fill-slot="main">
+      <h3>Enter the Data for a <span tal:content="options/type_name" /> </h1>
+      <div tal:replace="structure rendered_main" />
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+
+</metal:block>
+</metal:block>
+</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/index_html.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 1784)
+++ 	(revision )
@@ -1,25 +1,0 @@
-## Script (Python) "index_html"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=batch=None
-##title=
-##
-# $Id$
-"""
-return the correct index_html
-"""
-
-request = context.REQUEST
-redirect = request.RESPONSE.redirect
-pm = context.portal_membership
-
-if pm.isAnonymousUser():
-    return redirect("%s/srp_anonymous_view" % request.get('URL1'))
-elif context.isStudent():
-    return redirect("%s/srp_anonymous_view" % context.absolute_url())
-else:
-	return redirect("%s/srp_view" % context.absolute_url())
-
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 1785)
@@ -2,27 +2,4 @@
 <!-- $Id$ -->
 
-<!-- div_view  -->
-
-<metal:block define-macro="div_view"
-             tal:define="layout options/layout">
-  <tal:block repeat="row layout/rows">
-    <tal:block repeat="cell row">
-      <tal:block define="widget cell/widget">
-        <div tal:define="dm options/datastructure/getDataModel;"
-             tal:attributes="class cell/widget_css_class|nothing;
-             id python:widget.getHtmlWidgetId()+'_widget';"
-             >
-          <tal:block condition="widget/label">
-            <span class="dlabel" i18n:translate="" tal:condition="widget/is_i18n"
-                  tal:content="widget/label">label</span>
-            <span class="dlabel" tal:condition="not:widget/is_i18n"
-                  tal:content="widget/label">label</span>
-          </tal:block>
-          <tal:block replace="structure cell/widget_rendered" />
-        </div>
-      </tal:block>
-    </tal:block>
-  </tal:block>
-</metal:block>
 
 <!-- table view -->
@@ -65,309 +42,4 @@
 </metal:block>
 
-<!-- default edit  -->
 
-<metal:block define-macro="default_edit"
-  tal:define="layout options/layout;
-              ds options/datastructure;
-              creation creation|nothing;
-              metadata metadata|nothing;
-              type_name request/type_name|nothing;
-              ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-              creation_form python:ti and ti.getActionById('create', 'cpsdocument_create_form') or 'cpsdocument_create_form' ;
-              edit_form     python:ti and ti.getActionById('edit',   'cpsdocument_edit_form') or  'cpsdocument_edit_form';
-              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
-              formaction python: test(creation, creation_form,
-                                 test(metadata, metadata_form,
-                                                edit_form));
-              first_layout options/first_layout|python:0;
-              last_layout options/last_layout|python:0;
-              is_flexible options/is_flexible;
-              cpsmcat nocall:here/translation_service;
-              ">
-<tal:block condition="first_layout">
-  <tal:block
-  content="structure string:<form action='${formaction}' method='post'
-  enctype='multipart/form-data' class='workflow'>
-  <div class=''><div class=''>" />
-  <input type="hidden" name="type_name" value="."
-    tal:condition="creation" tal:attributes="value request/type_name" />
-</tal:block>
-
-<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
-  <tr tal:repeat="row layout/rows" valign="top">
-    <td tal:repeat="cell row"
-      tal:attributes="colspan cell/ncols">
-      <tal:block define="widget cell/widget;
-                         wid widget/getWidgetId;
-                         dm options/datastructure/getDataModel;
-                         err python:ds.getError(wid);
-                         err_mapping python:ds.getErrorMapping(wid);
-                         is_required widget/is_required|nothing;
-                         tooltip_id python:wid + '_help';
-                         widget_css_class cell/widget_css_class|nothing;
-                         widget_css_class python:test(is_flexible, 'group', widget_css_class);
-                         css_class python:test(err, 'row error',
-                                               test(is_flexible, 'group', 'row'))">
-        <div tal:attributes="class widget_css_class;
-                             id python:widget.getHtmlWidgetId()+'_widget';
-                            ">
-          <div class="label" tal:condition="widget/label_edit"
-            tal:attributes="class python:test(is_required, 'label required',
-                                              'label')">
-            <label i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-            <label tal:condition="not:widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-          </div>
-          <button type="button" class="tooltipControl"
-                  tal:condition="widget/help"
-                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          <div class="field">
-            <div tal:replace="structure cell/widget_rendered"/>
-          </div>
-          <div class="tooltipArea" style="visibility: hidden;"
-               tal:condition="widget/help"
-               tal:attributes="id tooltip_id;
-                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
-            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-            <tal:block tal:condition="not:widget/is_i18n"
-              tal:content="widget/help">This is the help for this field</tal:block>
-          </div>
-          <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                  tal:content="msg">err</em>
-              </tal:block>
-          </tal:block>
-          <div style="float: right;" tal:condition="is_flexible">
-            <input type="submit" value="button_move_up"
-              tal:condition="not:repeat/row/start"
-              tal:attributes="name string:uprow_${repeat/row/index}"
-              class="context moveUp" i18n:attributes="value" />
-            <input type="submit" value="button_move_down"
-              tal:condition="not:repeat/row/end"
-              tal:attributes="name string:downrow_${repeat/row/index}"
-              class="context moveDown" i18n:attributes="value" />
-            <input type="submit" value="button_delete"
-              class="destructive" i18n:attributes="value"
-              tal:attributes="name string:deleterow_${repeat/row/index};
-                              onclick python:'return window.confirm(\'%s\')' %
-                                (cpsmcat('description_confirm_delete'), )" />
-          </div>
-        </div>
-      </tal:block>
-    </td>
-  </tr>
-</table>
-
-<tal:block condition="is_flexible">
-<div style="float: right;"
-    tal:define="flexible_widgets options/flexible_widgets">
-  <input type="hidden" name="layout_id" value="."
-    tal:attributes="value layout/layout_id" />
-  <tal:select condition="python:len(flexible_widgets)>1">
-    <select name="widget_type">
-      <tal:block repeat="widget options/flexible_widgets">
-      <option value="."
-        tal:condition="widget/is_i18n"
-        i18n:translate=""
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      <option value="."
-        tal:condition="not:widget/is_i18n"
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      </tal:block>
-    </select>
-    <input type="submit" name="addwidget_button" value="button_add"
-     class="context"
-     i18n:attributes="value" />
-  </tal:select>
-  <tal:button condition="python:len(flexible_widgets) == 1">
-    <tal:block define="widget python:flexible_widgets[0]">
-      <input type="hidden" name="widget_type"
-        tal:attributes="value widget/getWidgetId">
-      <input type="submit" name="addwidget_button"
-        tal:define="button_add python:cpsmcat('button_add');
-          widget_title python:cpsmcat(widget.title_or_id())"
-        tal:attributes="value string:${button_add} ${widget_title}"
-        class="context" />
-    </tal:block>
-  </tal:button>
-</div>
-</tal:block>
-
-<tal:block condition="last_layout">
-  <tal:block content="structure string:</div>" />
-  <metal:block define-slot="additional_content" />
-
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-    value="button_change" i18n:attributes="value"
-    tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="cpsdocument_create_button"
-    value="button_create" i18n:attributes="value" tal:condition="creation" />
-  <tal:block content="structure string:</div></form>" />
-</tal:block>
-
-</metal:block>
-<!-- default edit  -->
-
-<metal:block define-macro="common_edit"
-  tal:define="layout options/layout;
-              ds options/datastructure;
-              creation creation|nothing;
-              metadata metadata|nothing;
-              type_name request/type_name|nothing;
-              ti python:type_name and getattr(here.portal_types,type_name,None) or getattr(here.portal_types,here.portal_type,None);
-              tin python:type_name and getattr(here.portal_types,type_name,None);
-              creation_form options/create_action|string:create_common;
-              edit_form    options/edit_action|string:cpsdocument_edit_form;
-              metadata_form python:ti and ti.getActionById('metadata', 'cpsdocument_metadata') or 'cpsdocument_metadata';
-              formaction python: test(creation, creation_form,
-                                 test(metadata, metadata_form,
-                                                edit_form));
-              first_layout python:1;
-              last_layout python:1;
-              is_flexible options/is_flexible;
-              cpsmcat nocall:here/translation_service;
-              ">
-<tal:block condition="first_layout">
-    <span tal:condition="python: 0">
-      <span tal:content="request/type_name|string:No Typename" /><br />
-      <span tal:content="creation_form" /><br />
-      <span tal:content="ti" /><br />
-      <span tal:content="python:ti.getActionById('create', 'cpsdocument_create_form')" /><br />
-      <span tal:content="python:getattr(here.portal_types,type_name,'no type')" /><br />
-    </span>
-  <tal:block
-  content="structure string:<form action='${formaction}' method='post'
-  enctype='multipart/form-data' class='workflow'>
-  <div class=''><div class='documentFields'>" />
-  <input type="hidden" name="type_name" value="."
-    tal:condition="creation" tal:attributes="value request/type_name" />
-</tal:block>
-
-<table width="100%" cellpadding="2" cellspacing="2" summary="Form layout">
-  <tr tal:repeat="row layout/rows" valign="top">
-    <td tal:repeat="cell row"
-      tal:attributes="colspan cell/ncols">
-      <tal:block define="widget cell/widget;
-                         wid widget/getWidgetId;
-                         dm options/datastructure/getDataModel;
-                         err python:ds.getError(wid);
-                         err_mapping python:ds.getErrorMapping(wid);
-                         is_required widget/is_required|nothing;
-                         tooltip_id python:wid + '_help';
-                         widget_css_class cell/widget_css_class|nothing;
-                         widget_css_class python:test(is_flexible, 'group', widget_css_class);
-                         css_class python:test(err, 'row error',
-                                               test(is_flexible, 'group', 'row'))">
-        <div tal:attributes="class widget_css_class;
-                             id python:widget.getHtmlWidgetId()+'_widget';
-                            ">
-          <div class="label" tal:condition="widget/label_edit"
-            tal:attributes="class python:test(is_required, 'label required',
-                                              'label')">
-            <label i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-            <label tal:condition="not:widget/is_i18n"
-              tal:content="widget/label_edit"
-              tal:attributes="for cell/widget_input_area_id|nothing;">label</label>
-          </div>
-          <button type="button" class="tooltipControl"
-                  tal:condition="widget/help"
-                  tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-          <div class="field">
-            <div tal:replace="structure cell/widget_rendered"/>
-          </div>
-          <div class="tooltipArea" style="visibility: hidden;"
-               tal:condition="widget/help"
-               tal:attributes="id tooltip_id;
-                               onclick python:'showElement(false, \'%s\')' % tooltip_id;">
-            <tal:block i18n:translate="" tal:condition="widget/is_i18n"
-              tal:content="widget/help">i18_key-help_for_this_field</tal:block>
-            <tal:block tal:condition="not:widget/is_i18n"
-              tal:content="widget/help">This is the help for this field</tal:block>
-          </div>
-          <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                  tal:content="msg">err</em>
-              </tal:block>
-          </tal:block>
-          <div style="float: right;" tal:condition="is_flexible">
-            <input type="submit" value="button_move_up"
-              tal:condition="not:repeat/row/start"
-              tal:attributes="name string:uprow_${repeat/row/index}"
-              class="context moveUp" i18n:attributes="value" />
-            <input type="submit" value="button_move_down"
-              tal:condition="not:repeat/row/end"
-              tal:attributes="name string:downrow_${repeat/row/index}"
-              class="context moveDown" i18n:attributes="value" />
-            <input type="submit" value="button_delete"
-              class="destructive" i18n:attributes="value"
-              tal:attributes="name string:deleterow_${repeat/row/index};
-                              onclick python:'return window.confirm(\'%s\')' %
-                                (cpsmcat('description_confirm_delete'), )" />
-          </div>
-        </div>
-      </tal:block>
-    </td>
-  </tr>
-</table>
-
-<tal:block condition="is_flexible">
-<div style="float: right;"
-    tal:define="flexible_widgets options/flexible_widgets">
-  <input type="hidden" name="layout_id" value="."
-    tal:attributes="value layout/layout_id" />
-  <tal:select condition="python:len(flexible_widgets)>1">
-    <select name="widget_type">
-      <tal:block repeat="widget options/flexible_widgets">
-      <option value="."
-        tal:condition="widget/is_i18n"
-        i18n:translate=""
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      <option value="."
-        tal:condition="not:widget/is_i18n"
-        tal:attributes="value widget/getWidgetId"
-        tal:content="widget/title_or_id">Type</option>
-      </tal:block>
-    </select>
-    <input type="submit" name="addwidget_button" value="button_add"
-     class="context"
-     i18n:attributes="value" />
-  </tal:select>
-  <tal:button condition="python:len(flexible_widgets) == 1">
-    <tal:block define="widget python:flexible_widgets[0]">
-      <input type="hidden" name="widget_type"
-        tal:attributes="value widget/getWidgetId">
-      <input type="submit" name="addwidget_button"
-        tal:define="button_add python:cpsmcat('button_add');
-          widget_title python:cpsmcat(widget.title_or_id())"
-        tal:attributes="value string:${button_add} ${widget_title}"
-        class="context" />
-    </tal:block>
-  </tal:button>
-</div>
-</tal:block>
-
-<tal:block condition="last_layout">
-  <tal:block content="structure string:</div>" />
-  <metal:block define-slot="additional_content" />
-
-  <input type="submit" class="standalone" name="cpsdocument_edit_button"
-    value="button_change" i18n:attributes="value"
-    tal:condition="not:creation" />
-  <input type="submit" class="standalone" name="cpsdocument_create_button"
-    value="button_create" i18n:attributes="value" tal:condition="creation" />
-  <tal:block content="structure string:</div></form>" />
-</tal:block>
-
-</metal:block>
     
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 1784)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 1785)
@@ -4,14 +4,4 @@
         <h2>Welcome to the     
           <br />Student Registration Portal of the University of Benin, Nigeria</h2>
-        <br />
-        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
-          For further information see 
-          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
-        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
-          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
-        proceed with the admission and clearance process.</p>
-        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
-        to register courses for the current session, to pay their school fees and to book accommodation.</p>
-        <p>This site is best seen in Firefox browser.</p>
     </metal:main>
   </metal:body>