Index: WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 1785)
+++ WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 1786)
@@ -20,4 +20,16 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="app_email" meta_type="Email Widget">
+  <property name="title">Application Email</property>
+  <property name="fields">
+   <element value="email"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Application Email</property>
+  <property name="label_edit">Application Email</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="phone" meta_type="String Widget">
   <property name="title">Phone</property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml	(revision 1785)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml	(revision 1786)
@@ -1,221 +1,222 @@
-  <?xml version="1.0" ?> 
-- <object name="student_course_result" meta_type="CPS Layout">
-  <property name="layout_create_method" /> 
-  <property name="layout_edit_method" /> 
-  <property name="layout_view_method" /> 
-  <property name="style_prefix">layout_waeup_</property> 
-  <property name="flexible_widgets" /> 
-  <property name="validate_values_expr" /> 
-+ <widget name="ansbook" meta_type="String Widget">
-  <property name="title">Ansbook</property> 
-- <property name="fields">
-  <element value="ansbook" /> 
-  </property>
-  <property name="label">Ansbook</property> 
-  <property name="label_edit">Ansbook</property> 
-  <property name="readonly_layout_modes" /> 
-  <property name="hidden_layout_modes" /> 
-  <property name="hidden_readonly_layout_modes" /> 
-  </widget>
-- <widget name="carry_level" meta_type="String Widget">
-  <property name="title">Carry Level</property> 
-- <property name="fields">
-  <element value="carry_level" /> 
-  </property>
-  <property name="label">Carry Level</property> 
-  <property name="label_edit">Carry Level</property> 
-  <property name="readonly_layout_modes" /> 
-  <property name="hidden_layout_modes" /> 
-  <property name="hidden_readonly_layout_modes" /> 
-  </widget>
-- <widget name="code" meta_type="CertificateCourseId Widget">
-  <property name="title">Course Code</property> 
-- <property name="fields">
-  <element value="code" /> 
-  </property>
-  <property name="is_required">True</property> 
-  <property name="label">Course Code</property> 
-  <property name="label_edit">Course Code</property> 
-  <property name="readonly_layout_modes" /> 
-- <property name="hidden_layout_modes">
-  <element value="view" /> 
-  <element value="edit" /> 
-  </property>
-  <property name="hidden_readonly_layout_modes" /> 
-  </widget>
-- <widget name="core_or_elective" meta_type="Boolean Widget">
-  <property name="title">Core or Elective</property> 
-- <property name="fields">
-  <element value="core_or_elective" /> 
-  </property>
-  <property name="is_required">True</property> 
-  <property name="label">Core or Elective</property> 
-  <property name="label_edit">Core or Elective</property> 
-  <property name="readonly_layout_modes" /> 
-  <property name="hidden_layout_modes" /> 
-  <property name="hidden_readonly_layout_modes" /> 
-  <property name="label_false">elective</property> 
-  <property name="label_true">core</property> 
-  </widget>
-- <widget name="credits" meta_type="Int Widget">
-  <property name="title">Credits</property> 
-- <property name="fields">
-  <element value="credits" /> 
-  </property>
-  <property name="label">Credits</property> 
-  <property name="label_edit">Credits</property> 
-- <property name="readonly_layout_modes">
-  <element value="edit" /> 
-  <element value="create" /> 
-  </property>
-- <property name="hidden_layout_modes">
-  <element value="create" /> 
-  </property>
-  <property name="hidden_readonly_layout_modes" /> 
-  </widget>
-- <widget name="grade" meta_type="String Widget">
-  <property name="title">Grade</property> 
-- <property name="fields">
-  <element value="grade" /> 
-  </property>
-  <property name="label">Grade</property> 
-  <property name="label_edit">Grade</property> 
-  <property name="readonly_layout_modes" /> 
-  <property name="hidden_layout_modes" /> 
-  <property name="hidden_readonly_layout_modes" /> 
-  </widget>
-- <widget name="import_id" meta_type="String Widget">
-  <property name="title">ID imported</property> 
-- <property name="fields">
-  <element value="import_id" /> 
-  </property>
-  <property name="label">ID imported</property> 
-  <property name="label_edit">ID imported</property> 
-- <property name="readonly_layout_modes">
-  <element value="edit" /> 
-  <element value="create" /> 
-  </property>
-- <property name="hidden_layout_modes">
-  <element value="create" /> 
-  </property>
-  <property name="hidden_readonly_layout_modes" /> 
-  </widget>
-- <widget name="passmark" meta_type="Int Widget">
-  <property name="title">Passmark</property> 
-- <property name="fields">
-  <element value="passmark" /> 
-  </property>
-  <property name="label">Passmark</property> 
-  <property name="label_edit">Passmark</property> 
-- <property name="readonly_layout_modes">
-  <element value="edit" /> 
-  <element value="create" /> 
-  </property>
-- <property name="hidden_layout_modes">
-  <element value="create" /> 
-  </property>
-  <property name="hidden_readonly_layout_modes" /> 
-  </widget>
-- <widget name="score" meta_type="Int Widget">
-  <property name="title">Score</property> 
-- <property name="fields">
-  <element value="score" /> 
-  </property>
-  <property name="label">Score</property> 
-  <property name="label_edit">Score</property> 
-  <property name="readonly_layout_modes" /> 
-  <property name="hidden_layout_modes" /> 
-  <property name="hidden_readonly_layout_modes" /> 
-  </widget>
-- <widget name="semester" meta_type="Int Widget">
-  <property name="title">Semester</property> 
-- <property name="fields">
-  <element value="semester" /> 
-  </property>
-  <property name="label">Semester</property> 
-  <property name="label_edit">Semester</property> 
-  <property name="readonly_layout_modes" /> 
-  <property name="hidden_layout_modes" /> 
-  <property name="hidden_readonly_layout_modes" /> 
-  </widget>
-- <widget name="status" meta_type="String Widget">
-  <property name="title">Status</property> 
-- <property name="fields">
-  <element value="status" /> 
-  </property>
-  <property name="label">Status</property> 
-  <property name="label_edit">Status</property> 
-- <property name="readonly_layout_modes">
-  <element value="edit" /> 
-  <element value="create" /> 
-  </property>
-  <property name="hidden_layout_modes" /> 
-  <property name="hidden_readonly_layout_modes" /> 
-  </widget>
-- <widget name="title" meta_type="String Widget">
-  <property name="title">Course Title</property> 
-- <property name="fields">
-  <element value="title" /> 
-  </property>
-  <property name="label">Course Title</property> 
-  <property name="label_edit">Course Title</property> 
-- <property name="readonly_layout_modes">
-  <element value="edit" /> 
-  <element value="create" /> 
-  </property>
-- <property name="hidden_layout_modes">
-  <element value="create" /> 
-  </property>
-  <property name="hidden_readonly_layout_modes" /> 
-  <property name="display_width">60</property> 
-  </widget>
-- <widget name="weight" meta_type="String Widget">
-  <property name="title">Weight</property> 
-- <property name="fields">
-  <element value="weight" /> 
-  </property>
-  <property name="label">Weight</property> 
-  <property name="label_edit">Weight</property> 
-  <property name="readonly_layout_modes" /> 
-  <property name="hidden_layout_modes" /> 
-  <property name="hidden_readonly_layout_modes" /> 
-  </widget>
-- <table>
-- <row>
-  <cell name="code" /> 
-  </row>
-- <row>
-  <cell name="title" /> 
-  </row>
-- <row>
-  <cell name="semester" /> 
-  </row>
-- <row>
-  <cell name="credits" /> 
-  </row>
-- <row>
-  <cell name="passmark" /> 
-  </row>
-- <row>
-  <cell name="grade" /> 
-  </row>
-- <row>
-  <cell name="ansbook" /> 
-  </row>
-- <row>
-  <cell name="status" /> 
-  </row>
-- <row>
-  <cell name="score" /> 
-  </row>
-- <row>
-  <cell name="weight" /> 
-  </row>
-- <row>
-  <cell name="core_or_elective" /> 
-  </row>
-- <row>
-  <cell name="carry_level" /> 
-  </row>
-  </table>
-  </object>
+<?xml version="1.0"?>
+<object name="student_course_result" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="ansbook" meta_type="String Widget">
+  <property name="title">Ansbook</property>
+  <property name="fields">
+   <element value="ansbook"/>
+  </property>
+  <property name="label">Ansbook</property>
+  <property name="label_edit">Ansbook</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="carry_level" meta_type="String Widget">
+  <property name="title">Carry Level</property>
+  <property name="fields">
+   <element value="carry_level"/>
+  </property>
+  <property name="label">Carry Level</property>
+  <property name="label_edit">Carry Level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="code" meta_type="CertificateCourseId Widget">
+  <property name="title">Course Code</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Course Code</property>
+  <property name="label_edit">Course Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="view"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="core_or_elective " meta_type="Boolean Widget">
+  <property name="title">Core or Elective</property>
+  <property name="fields">
+   <element value="core_or_elective"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Core or Elective</property>
+  <property name="label_edit">Core or Elective</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">elective</property>
+  <property name="label_true">core</property>
+ </widget>
+ <widget name="credits" meta_type="Int Widget">
+  <property name="title">Credits</property>
+  <property name="fields">
+   <element value="credits"/>
+  </property>
+  <property name="label">Credits</property>
+  <property name="label_edit">Credits</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+   <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="grade" meta_type="String Widget">
+  <property name="title">Grade</property>
+  <property name="fields">
+   <element value="grade"/>
+  </property>
+  <property name="label">Grade</property>
+  <property name="label_edit">Grade</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="import_id" meta_type="String Widget">
+  <property name="title">ID imported</property>
+  <property name="fields">
+   <element value="import_id"/>
+  </property>
+  <property name="label">ID imported</property>
+  <property name="label_edit">ID imported</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+   <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="passmark" meta_type="Int Widget">
+  <property name="title">Passmark</property>
+  <property name="fields">
+   <element value="passmark"/>
+  </property>
+  <property name="label">Passmark</property>
+  <property name="label_edit">Passmark</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+   <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="score" meta_type="Int Widget">
+  <property name="title">Score</property>
+  <property name="fields">
+   <element value="score"/>
+  </property>
+  <property name="label">Score</property>
+  <property name="label_edit">Score</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="semester" meta_type="Int Widget">
+  <property name="title">Semester</property>
+  <property name="fields">
+   <element value="semester"/>
+  </property>
+  <property name="label">Semester</property>
+  <property name="label_edit">Semester</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="status" meta_type="String Widget">
+  <property name="title">Status</property>
+  <property name="fields">
+   <element value="status"/>
+  </property>
+  <property name="label">Status</property>
+  <property name="label_edit">Status</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+   <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="title" meta_type="String Widget">
+  <property name="title">Course Title</property>
+  <property name="fields">
+   <element value="title"/>
+  </property>
+  <property name="label">Course Title</property>
+  <property name="label_edit">Course Title</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+   <element value="create"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">60</property>
+ </widget>
+ <widget name="weight" meta_type="String Widget">
+  <property name="title">Weight</property>
+  <property name="fields">
+   <element value="weight"/>
+  </property>
+  <property name="label">Weight</property>
+  <property name="label_edit">Weight</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <table>
+  <row>
+   <cell name="code"/>
+  </row>
+  <row>
+   <cell name="title"/>
+  </row>
+  <row>
+   <cell name="semester"/>
+  </row>
+  <row>
+   <cell name="credits"/>
+  </row>
+  <row>
+   <cell name="passmark"/>
+  </row>
+  <row>
+   <cell name="grade"/>
+  </row>
+  <row>
+   <cell name="ansbook"/>
+  </row>
+  <row>
+   <cell name="status"/>
+  </row>
+  <row>
+   <cell name="score"/>
+  </row>
+  <row>
+   <cell name="weight"/>
+  </row>
+  <row>
+   <cell name="core_or_elective "/>
+  </row>
+  <row>
+   <cell name="carry_level"/>
+  </row>
+ </table>
+</object>
+
Index: WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml	(revision 1785)
+++ WAeUP_SRP/trunk/profiles/default/schemas/import_student.xml	(revision 1786)
@@ -17,8 +17,9 @@
  <field name="phone" meta_type="CPS String Field"/>
  <field name="email" meta_type="CPS String Field"/>
+ <field name="app_email" meta_type="CPS String Field"/> 
  <field name="current_level" meta_type="CPS String Field"/>
  <field name="current_session" meta_type="CPS String Field"/>
  <field name="current_verdict" meta_type="CPS String Field"/>
- <field name="current_mode" meta_type="CPS String Field"/> 
+ <field name="current_mode" meta_type="CPS String Field"/>
  <field name="perm_address" meta_type="CPS String Field"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 1785)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 1786)
@@ -10,5 +10,4 @@
  <field name="objection_date" meta_type="CPS DateTime Field"/>
  <field name="jamb_age" meta_type="CPS Int Field"/>
- <field name="import_mode" meta_type="CPS String Field"/>
  <field name="jamb_first_cos" meta_type="CPS String Field"/>
  <field name="jamb_first_uni" meta_type="CPS String Field"/>