Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1786)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1790)
@@ -88,10 +88,10 @@
  </widget>
  <widget name="jamb_age" meta_type="Int Widget">
-  <property name="title">JAMB Age</property>
+  <property name="title">Age</property>
   <property name="fields">
    <element value="jamb_age"/>
   </property>
-  <property name="label">JAMB Age</property>
-  <property name="label_edit">JAMB Age</property>
+  <property name="label">Age</property>
+  <property name="label_edit">Age</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -121,10 +121,10 @@
  </widget>
  <widget name="jamb_firstname" meta_type="String Widget">
-  <property name="title">JAMB Firstname</property>
+  <property name="title">Firstname</property>
   <property name="fields">
    <element value="jamb_firstname"/>
   </property>
-  <property name="label">JAMB Firstname</property>
-  <property name="label_edit">JAMB Firstname</property>
+  <property name="label">Firstname</property>
+  <property name="label_edit">Firstname</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -134,10 +134,10 @@
  </widget>
  <widget name="jamb_lastname" meta_type="String Widget">
-  <property name="title">JAMB Lastname</property>
+  <property name="title">Lastname</property>
   <property name="fields">
    <element value="jamb_lastname"/>
   </property>
-  <property name="label">JAMB Lastname</property>
-  <property name="label_edit">JAMB Lastname</property>
+  <property name="label">Lastname</property>
+  <property name="label_edit">Lastname</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -147,10 +147,10 @@
  </widget>
  <widget name="jamb_lga" meta_type="String Widget">
-  <property name="title">JAMB Local Government Area</property>
+  <property name="title">Local Government Area</property>
   <property name="fields">
    <element value="jamb_lga"/>
   </property>
-  <property name="label">JAMB Local Government Area</property>
-  <property name="label_edit">JAMB Local Government Area</property>
+  <property name="label">Local Government Area</property>
+  <property name="label_edit">Local Government Area</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -158,10 +158,10 @@
  </widget>
  <widget name="jamb_middlename" meta_type="String Widget">
-  <property name="title">JAMB Middlename</property>
+  <property name="title">Middlename</property>
   <property name="fields">
    <element value="jamb_middlename"/>
   </property>
-  <property name="label">JAMB Middlename</property>
-  <property name="label_edit">JAMB Middlename</property>
+  <property name="label">Middlename</property>
+  <property name="label_edit">Middlename</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -171,10 +171,10 @@
  </widget>
  <widget name="jamb_reg_no" meta_type="String Widget">
-  <property name="title">JAMB Registration Number</property>
+  <property name="title">Registration Number</property>
   <property name="fields">
    <element value="jamb_reg_no"/>
   </property>
-  <property name="label">JAMB Registration Number</property>
-  <property name="label_edit">JAMB Registration Number</property>
+  <property name="label">Registration Number</property>
+  <property name="label_edit">Registration Number</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -217,10 +217,10 @@
  </widget>
  <widget name="jamb_sex" meta_type="String Widget">
-  <property name="title">JAMB Sex</property>
+  <property name="title">Sex</property>
   <property name="fields">
    <element value="jamb_sex"/>
   </property>
-  <property name="label">JAMB Sex</property>
-  <property name="label_edit">JAMB Sex</property>
+  <property name="label">Sex</property>
+  <property name="label_edit">Sex</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -230,10 +230,10 @@
  </widget>
  <widget name="jamb_state" meta_type="String Widget">
-  <property name="title">JAMB State</property>
+  <property name="title">State</property>
   <property name="fields">
    <element value="jamb_state"/>
   </property>
-  <property name="label">JAMB State</property>
-  <property name="label_edit">JAMB State</property>
+  <property name="label">State</property>
+  <property name="label_edit">State</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -332,5 +332,5 @@
   <row>
    <cell name="objection_date" ncols="3"/>
-  </row>  
+  </row>
   <row>
    <cell name="passport" ncols="3"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 1786)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 1790)
@@ -87,5 +87,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">sessions</property>
- </widget> 
+ </widget>
  <widget name="app_email" meta_type="Email Widget">
   <property name="title">Email Address</property>
@@ -179,5 +179,5 @@
  </widget>
  <widget name="jamb_reg_no" meta_type="JambRegNo Widget">
-  <property name="title">JAMB Registration Number</property>
+  <property name="title">Registration Number</property>
   <property name="fields">
    <element value="jamb_reg_no"/>