Index: /WAeUP_SRP/trunk/doc/srp_documentation.mm
===================================================================
--- /WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1790)
+++ /WAeUP_SRP/trunk/doc/srp_documentation.mm	(revision 1791)
@@ -1,12 +1,12 @@
-<map version="0.9.0_Beta_8">
+<map version="0.8.0">
 <!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
 <node CREATED="1170079518946" ID="Freemind_Link_650524897" MODIFIED="1172489583516" TEXT="WAeUP Documentation">
-<node CREATED="1172489553062" ID="Freemind_Link_1276207160" MODIFIED="1172489556316" POSITION="right" TEXT="Glossary">
+<node CREATED="1172489553062" FOLDED="true" ID="Freemind_Link_1276207160" MODIFIED="1172489556316" POSITION="right" TEXT="Glossary">
 <node CREATED="1172588742298" ID="Freemind_Link_495359346" LINK="../profiles/default/schemas.xml" MODIFIED="1173007237566" TEXT="Field Names (Attributes)"/>
 <node CREATED="1172588782286" ID="Freemind_Link_1234262632" LINK="../profiles/default/types.xml" MODIFIED="1172588916308" TEXT="Types"/>
 <node CREATED="1172588791669" ID="Freemind_Link_832896495" LINK="../profiles/default/layouts.xml" MODIFIED="1173007318993" TEXT="Labels (Titles)"/>
 </node>
-<node CREATED="1172489529057" ID="Freemind_Link_43083883" MODIFIED="1172489545651" POSITION="right" TEXT="SRP Data Structure">
-<node CREATED="1170079621592" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
+<node CREATED="1172489529057" FOLDED="true" ID="Freemind_Link_43083883" MODIFIED="1172489545651" POSITION="right" TEXT="SRP Data Structure">
+<node CREATED="1170079621592" FOLDED="true" ID="Freemind_Link_1297017754" MODIFIED="1170079640872" TEXT="Campus">
 <node CREATED="1171710559043" ID="Freemind_Link_1592396213" MODIFIED="1171710565212" TEXT="Id: campus"/>
 <node CREATED="1170079643589" FOLDED="true" ID="Freemind_Link_1231068129" MODIFIED="1171710686426" TEXT="Academic Section">
@@ -48,8 +48,8 @@
 </node>
 </node>
-<node CREATED="1170082138244" ID="Freemind_Link_1354366927" MODIFIED="1171710679266" TEXT="Student Section">
+<node CREATED="1170082138244" FOLDED="true" ID="Freemind_Link_1354366927" MODIFIED="1171710679266" TEXT="Student Section">
 <node CREATED="1171709784119" ID="_" MODIFIED="1171709937449" TEXT="Type: StudentsFolder" VSHIFT="104"/>
 <node CREATED="1171710545564" ID="Freemind_Link_221165828" MODIFIED="1171710551332" TEXT="Id: students"/>
-<node CREATED="1170082147831" ID="Freemind_Link_115332414" MODIFIED="1171709774415" TEXT="{Student}">
+<node CREATED="1170082147831" FOLDED="true" ID="Freemind_Link_115332414" MODIFIED="1171709774415" TEXT="{Student}">
 <node CREATED="1171114205479" ID="Freemind_Link_1051911128" LINK="../profiles/default/types/Student.xml" MODIFIED="1171353141707" TEXT="Type: Student"/>
 <node CREATED="1171124926993" ID="Freemind_Link_1838352082" LINK="../profiles/default/schemas/student.xml" MODIFIED="1171353152905" TEXT="Schema: student"/>
@@ -58,6 +58,6 @@
 <node CREATED="1172156481009" ID="Freemind_Link_615926152" LINK="waeup_student_wf.gif" MODIFIED="1172486913476" TEXT="Diagram"/>
 </node>
-<node CREATED="1170883343230" ID="Freemind_Link_1345153944" MODIFIED="1172162754390" TEXT="User Interface">
-<node CREATED="1170883352226" ID="Freemind_Link_1688911390" MODIFIED="1172488273241" TEXT="Officer">
+<node CREATED="1170883343230" FOLDED="true" ID="Freemind_Link_1345153944" MODIFIED="1172162754390" TEXT="User Interface">
+<node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_1688911390" MODIFIED="1172488273241" TEXT="Officer">
 <node CREATED="1171124982312" ID="Freemind_Link_1991960145" LINK="../profiles/default/layouts/student_create.xml" MODIFIED="1178091125746" TEXT="Layout: student_create" VSHIFT="2"/>
 <node CREATED="1178091137285" ID="Freemind_Link_1938706963" LINK="../skins/waeup_student/add_student.py" MODIFIED="1178091313673" TEXT="PY: add_student"/>
@@ -85,5 +85,5 @@
 </node>
 </node>
-<node CREATED="1170082164451" ID="Freemind_Link_1808367236" MODIFIED="1171711160327" TEXT="Application Data">
+<node CREATED="1170082164451" FOLDED="true" ID="Freemind_Link_1808367236" MODIFIED="1171711160327" TEXT="Application Data">
 <node CREATED="1170083733194" ID="Freemind_Link_1603566745" MODIFIED="1170862024807" TEXT="Id: application"/>
 <node CREATED="1170083603042" ID="Freemind_Link_1501749959" LINK="../profiles/default/types/StudentApplication.xml" MODIFIED="1171009517689" TEXT="Type: StudentApplication"/>
@@ -123,5 +123,5 @@
 <node CREATED="1172156481009" ID="Freemind_Link_1817393683" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
 </node>
-<node CREATED="1170883343230" ID="Freemind_Link_998392827" MODIFIED="1172162754390" TEXT="User Interface">
+<node CREATED="1170883343230" FOLDED="true" ID="Freemind_Link_998392827" MODIFIED="1172162754390" TEXT="User Interface">
 <node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_556396570" MODIFIED="1172163796143" TEXT="Student">
 <node CREATED="1171124982312" ID="Freemind_Link_683557361" LINK="../profiles/default/layouts/student_clearance_fe.xml" MODIFIED="1172590208847" TEXT="Layout: student_clearance_fe" VSHIFT="2"/>
@@ -135,5 +135,5 @@
 </node>
 </node>
-<node CREATED="1170883352226" ID="Freemind_Link_1353155855" MODIFIED="1172488273241" TEXT="Officer">
+<node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_1353155855" MODIFIED="1172488273241" TEXT="Officer">
 <node CREATED="1171124982312" ID="Freemind_Link_1920730860" LINK="../profiles/default/layouts/student_clearance.xml" MODIFIED="1172590245309" TEXT="Layout: student_clearance" VSHIFT="2"/>
 <node CREATED="1172488875157" FOLDED="true" ID="Freemind_Link_888492061" MODIFIED="1172488877500" TEXT="view">
@@ -148,5 +148,5 @@
 </node>
 </node>
-<node CREATED="1170082180802" ID="Freemind_Link_634523864" MODIFIED="1171711172044" TEXT="Personal Data">
+<node CREATED="1170082180802" FOLDED="true" ID="Freemind_Link_634523864" MODIFIED="1171711172044" TEXT="Personal Data">
 <node CREATED="1170083733194" ID="Freemind_Link_1809756717" MODIFIED="1170862205697" TEXT="Id: personal"/>
 <node CREATED="1170083603042" ID="Freemind_Link_212388289" LINK="../profiles/default/types/StudentPersonal.xml" MODIFIED="1171010050967" TEXT="Type: StudentPersonal"/>
@@ -206,5 +206,5 @@
 </node>
 </node>
-<node CREATED="1170082164451" ID="Freemind_Link_1991619732" MODIFIED="1175265930974" TEXT="Pume Data">
+<node CREATED="1170082164451" FOLDED="true" ID="Freemind_Link_1991619732" MODIFIED="1175265930974" TEXT="Pume Data">
 <node CREATED="1170083733194" ID="Freemind_Link_474120928" MODIFIED="1175265946729" TEXT="Id: pume"/>
 <node CREATED="1170083603042" ID="Freemind_Link_1353178566" LINK="../profiles/default/types/StudentPume.xml" MODIFIED="1175265977383" TEXT="Type: StudentPume"/>
@@ -213,12 +213,12 @@
 <node CREATED="1172156481009" ID="Freemind_Link_615932491" LINK="waeup_student_subobject_wf.gif" MODIFIED="1172903933018" TEXT="Diagram"/>
 </node>
-<node CREATED="1170883343230" ID="Freemind_Link_1769098562" MODIFIED="1172162754390" TEXT="User Interface">
-<node CREATED="1170883352226" ID="Freemind_Link_1332793129" MODIFIED="1172163796143" TEXT="Student">
+<node CREATED="1170883343230" FOLDED="true" ID="Freemind_Link_1769098562" MODIFIED="1172162754390" TEXT="User Interface">
+<node CREATED="1170883352226" FOLDED="true" ID="Freemind_Link_1332793129" MODIFIED="1172163796143" TEXT="Student">
 <node CREATED="1171124982312" ID="Freemind_Link_1964031449" LINK="../profiles/default/layouts/student_pume.xml" MODIFIED="1175266093912" TEXT="Layout: student_pume" VSHIFT="2"/>
-<node CREATED="1172488817664" ID="Freemind_Link_183452447" MODIFIED="1172488820358" TEXT="view">
+<node CREATED="1172488817664" FOLDED="true" ID="Freemind_Link_183452447" MODIFIED="1172488820358" TEXT="view">
 <node CREATED="1172163808013" LINK="../skins/waeup_student/application_slip.pt" MODIFIED="1172488857021" TEXT="PT: application_slip"/>
 <node CREATED="1172163797590" ID="Freemind_Link_1061894954" LINK="../skins/waeup_student/application_view.pt" MODIFIED="1178091232930" TEXT="PT: application_view"/>
 </node>
-<node CREATED="1172488821089" ID="Freemind_Link_1024852395" MODIFIED="1172488823242" TEXT="edit">
+<node CREATED="1172488821089" FOLDED="true" ID="Freemind_Link_1024852395" MODIFIED="1172488823242" TEXT="edit">
 <node CREATED="1172163808013" LINK="../skins/waeup_student/application_edit_form.pt" MODIFIED="1172488851172" TEXT="PT: application_edit_form"/>
 <node CREATED="1172163808013" ID="Freemind_Link_987823120" LINK="../skins/waeup_student/application_edit.py" MODIFIED="1178091292813" TEXT="PY: application_edit"/>
@@ -241,6 +241,6 @@
 <node CREATED="1171379691280" FOLDED="true" ID="Freemind_Link_24219" MODIFIED="1171379703554" TEXT="Officers">
 <node CREATED="1171379710053" FOLDED="true" ID="Freemind_Link_1668598079" MODIFIED="1171379734695" TEXT="add_student">
-<node CREATED="1171379737777" ID="Freemind_Link_490783588" MODIFIED="1171379757546" TEXT="PY: add_student"/>
-<node CREATED="1171362924343" ID="Freemind_Link_1507034557" LINK="../skins/waeup_accommodation/student_create_form.pt" MODIFIED="1171382378983" TEXT="PT: student_create_form"/>
+<node CREATED="1171379737777" ID="Freemind_Link_490783588" LINK="../skins/waeup_student/add_student.py" MODIFIED="1179344480314" TEXT="PY: add_student"/>
+<node CREATED="1171362924343" ID="Freemind_Link_1507034557" LINK="../skins/waeup_student/add_student_form.pt" MODIFIED="1179344416172" TEXT="PT: add_student_form"/>
 <node CREATED="1171379759850" ID="Freemind_Link_435667013" LINK="../profiles/default/schemas/student_create.xml" MODIFIED="1171380077013" TEXT="Schema: student_create"/>
 <node CREATED="1171015856280" ID="Freemind_Link_976681849" LINK="../profiles/default/layouts/student_create.xml" MODIFIED="1171382310446" TEXT="Layout: student_create"/>
@@ -251,12 +251,12 @@
 <node CREATED="1171379737777" ID="Freemind_Link_1193425802" LINK="../skins/waeup_student/change_password.py" MODIFIED="1173174911912" TEXT="PY: change_password"/>
 <node CREATED="1171362924343" ID="Freemind_Link_197745680" LINK="../skins/waeup_student/change_password_form.pt" MODIFIED="1173174977596" TEXT="PT: change_password_form"/>
-<node CREATED="1171379759850" ID="Freemind_Link_1595823834" LINK="../profiles/default/schemas/student_change_password.xml" MODIFIED="1172016494768" TEXT="Schema: student_change_password"/>
+<node COLOR="#000000" CREATED="1171379759850" ID="Freemind_Link_1595823834" LINK="../profiles/default/schemas/student_change_password.xml" MODIFIED="1179344588229" TEXT="Schema: student_change_password"/>
 <node CREATED="1171015856280" ID="Freemind_Link_83566645" LINK="../profiles/default/layouts/student_change_password.xml" MODIFIED="1172016516654" TEXT="Layout: student_change_password"/>
 </node>
 <node CREATED="1171379710053" FOLDED="true" ID="Freemind_Link_250586527" MODIFIED="1172136136294" TEXT="set_access_data">
-<node CREATED="1171379737777" ID="Freemind_Link_173378373" MODIFIED="1172136155974" TEXT="PY: set_access_data"/>
-<node CREATED="1171362924343" ID="Freemind_Link_385786925" LINK="../skins/waeup_accommodation/set_access_data_form.pt" MODIFIED="1172136205159" TEXT="PT: set_access_data_form"/>
+<node CREATED="1171379737777" ID="Freemind_Link_173378373" LINK="../skins/waeup_student/set_access_data.py" MODIFIED="1172136155974" TEXT="PY: set_access_data"/>
+<node CREATED="1171362924343" ID="Freemind_Link_385786925" LINK="../skins/waeup_student/set_access_data_form.pt" MODIFIED="1172136205159" TEXT="PT: set_access_data_form"/>
 <node CREATED="1171379759850" ID="Freemind_Link_1672896645" LINK="../profiles/default/schemas/student_returning.xml" MODIFIED="1172136395249" TEXT="Schema: student_returning"/>
-<node CREATED="1171015856280" ID="Freemind_Link_1275916157" LINK="../profiles/default/layouts/student_session_returning.xml" MODIFIED="1172136363694" TEXT="Layout: student_session_results_search"/>
+<node CREATED="1171015856280" ID="Freemind_Link_1275916157" LINK="../profiles/default/layouts/student_session_results_search.xml" MODIFIED="1179344886668" TEXT="Layout: student_session_results_search"/>
 </node>
 </node>
@@ -300,5 +300,5 @@
 <node CREATED="1171711999584" ID="Freemind_Link_1070634598" MODIFIED="1171712315178" TEXT="Groups"/>
 </node>
-<node CREATED="1170931308473" ID="Freemind_Link_249696543" MODIFIED="1170931315740" TEXT="Catalogs">
+<node CREATED="1170931308473" FOLDED="true" ID="Freemind_Link_249696543" MODIFIED="1170931315740" TEXT="Catalogs">
 <node CREATED="1170931319920" ID="Freemind_Link_1633117071" MODIFIED="1171712108641" TEXT="Portal Catalog"/>
 <node CREATED="1171712109062" ID="Freemind_Link_769089546" LINK="../profiles/default/courses_catalog.xml" MODIFIED="1172055793074" TEXT="Courses Catalog"/>
@@ -310,6 +310,6 @@
 <node CREATED="1171712154817" ID="Freemind_Link_1307066201" LINK="../profiles/default/pumeresults.xml" MODIFIED="1172055646399" TEXT="PUME/PDE Resuts Table"/>
 </node>
-<node CREATED="1172001308558" ID="Freemind_Link_1997267023" MODIFIED="1172490300476" TEXT="Profiles">
-<node CREATED="1172001324877" ID="Freemind_Link_1866579033" MODIFIED="1172001330846" TEXT="default">
+<node CREATED="1172001308558" FOLDED="true" ID="Freemind_Link_1997267023" MODIFIED="1172490300476" TEXT="Profiles">
+<node CREATED="1172001324877" FOLDED="true" ID="Freemind_Link_1866579033" MODIFIED="1172001330846" TEXT="default">
 <node CREATED="1172001340812" ID="Freemind_Link_274105864" LINK="../profiles/default/directories.xml" MODIFIED="1172001465313" TEXT="portal_directories"/>
 <node CREATED="1172001340812" ID="Freemind_Link_1612370167" LINK="../profiles/default/layouts.xml" MODIFIED="1172001506077" TEXT="portal_layouts"/>