Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 1792)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 1793)
@@ -127,7 +127,7 @@
             c_ids = [c.id for c in self.portal_catalog({'meta_type': "Course"})]
             if hasattr(self.aq_parent,value):
-                err = 'course %s already exists' % (value)
+                err = 'Course %s already exists' % (value)
             elif value not in c_ids:
-                err = 'course %s does not exist' % (value)
+                err = 'Course %s does not exist' % (value)
             if err:
                 datastructure.setError(widget_id, err)
@@ -159,5 +159,5 @@
             res = self.portal_catalog(meta_type= "Course",id = value)
             if len(res) > 0:
-                err = 'course %s already exists' % (value)
+                err = 'Course %s already exists' % (value)
             if err:
                 datastructure.setError(widget_id, err)
@@ -305,10 +305,10 @@
         if not valid: #or not (len(value) == self.digits + self.letters and value[:self.digits].isdigit() and value[self.digits:].isalpha()):
             #err = 'Invalid number, the expected format is: %s%s with N = Number, L = Letter' % (self.digits_str,self.letters_str)
-            err = 'invalid number'
+            err = 'Invalid number'
         elif self.reference == '':
             #s = getStudentByRegNo(self,value)
             pume = jamb_nr_catalog(jamb_reg_no = value)
             if len(pume) < 1:
-                err = 'no Student with JAMB RegNo %s' % (value)
+                err = 'No student with Registration Number %s' % (value)
             else:
                 datastructure['pume'] = pume[0]
@@ -354,5 +354,5 @@
         #import pdb;pdb.set_trace()
         if not valid or len(value) < 2:
-            err = 'invalid string'
+            err = 'Invalid string'
         elif not record or datastructure.errors:
             err = 0
@@ -443,5 +443,5 @@
         value = datastructure[widget_id]
         if not valid or not value:
-            err = 'invalid string %s' % value
+            err = 'Invalid string %s' % value
             logger.info('Invalid matric_no string %s' % value)
         else:
@@ -452,5 +452,5 @@
                 if len(res) < 1:
                     logger.info('matric_no %s not found' % value)
-                    err = 'no student with matric_no %s' % (value)
+                    err = 'No student with Matriculation Number %s' % (value)
                     break
                 datastructure['student'] = res[0]
@@ -458,5 +458,5 @@
                     res = results(matric_no = value)
                     if len(res) < 1:
-                        err = 'no results with matric_no %s' % (value)
+                        err = 'No results for Matriculation Number %s' % (value)
                         continue
                     datastructure['results'] = res
@@ -487,5 +487,5 @@
         value = datastructure[widget_id]
         if not valid or not value:
-            err = 'invalid Id string %s' % value
+            err = 'Invalid Id string %s' % value
             logger.info('Invalid id string %s' % value)
             datastructure['student'] = None
@@ -495,5 +495,5 @@
             if not res:
                 logger.info('Student id %s not found' % value)
-                err = 'no student with Id %s' % (value)
+                err = 'No student with Id %s' % (value)
                 datastructure['student'] = None
             else:
@@ -632,5 +632,5 @@
         while 1:
             if not s and g:
-                err = "no subject grade for subject %s " % s
+                err = "No subject grade for subject %s " % s
                 break
             i = 0
@@ -773,5 +773,5 @@
         elif len(n) != 10:
             do = 0
-            err = 'invalid PIN length %d' % len(n)
+            err = 'Invalid PIN length %d' % len(n)
             s_logger.info('%s entered invalid PIN with length %d' % (s_id,len(n)))
         elif self.reference == "":
@@ -794,5 +794,5 @@
                 break
             elif ok == -1:
-                err = 'invalid PIN'
+                err = 'Invalid PIN'
                 s_logger.info('%s/%s entered invalid PIN %s' % (s_id,ref,pin_str))
                 break
@@ -817,5 +817,5 @@
                     s_logger.info('%s/%s successfully used PIN %s' % (s_id,ref,pin_str))
                 if student is None:
-                    err = "student not found"
+                    err = "Student not found"
                     s_logger.info('%s not found in admission list' % (ref))
                     break
@@ -830,5 +830,5 @@
                             s_logger.info('%s/%s (non-member) repeatedly checked admission with PIN %s' % (s_id,ref,pin_str))
                     else:
-                        err = "unknown error" % s_id
+                        err = "Unknown error" % s_id
                         s_logger.info('%s/%s repeatedly activated service with PIN %s' % (s_id,ref,pin_str))
                         break