Index: /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_object_actions_staff.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_object_actions_staff.xml	(revision 1795)
+++ /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_object_actions_staff.xml	(revision 1796)
@@ -45,5 +45,5 @@
  <f id="provider" v=""/>
  <f id="show_icons" v="True"/>
- <f id="slot" v="staff_object_tabs"/>
+ <f id="slot" v="staff_object_slot"/>
  <f id="slot_override" v="0"/>
  <f id="visibility_range" v="0-0"/>
Index: /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_object_actions_students.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_object_actions_students.xml	(revision 1795)
+++ /WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_object_actions_students.xml	(revision 1796)
@@ -37,5 +37,5 @@
  <f id="provider" v=""/>
  <f id="show_icons" v="True"/>
- <f id="slot" v="student_object_tabs"/>
+ <f id="slot" v="student_object_slot"/>
  <f id="slot_override" v="0"/>
  <f id="visibility_range" v="0-0"/>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 1795)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 1796)
@@ -36,3 +36,4 @@
  <object name="searchable_academics_states" meta_type="CPS Vocabulary"/>
  <object name="verdicts" meta_type="CPS Vocabulary"/>
+ <object name="global_roles" meta_type="CPS Vocabulary"/>
  </object>
Index: /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1795)
+++ /WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 1796)
@@ -26,5 +26,5 @@
   student_theme python:test(waeup_skin == 'WAeUP_Student',1,0);
   navigation_slot python:test(student_theme,'student_navigation_slot','navigation_slot');
-  object_tabs python:test(student_theme,'student_object_tabs','staff_object_tabs');
+  object_tabs python:test(student_theme,'student_object_slot','staff_object_slot');
   
   ">
Index: /WAeUP_SRP/trunk/skins/waeup_directory/getWAeUPDirectoryActions.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_directory/getWAeUPDirectoryActions.py	(revision 1795)
+++ /WAeUP_SRP/trunk/skins/waeup_directory/getWAeUPDirectoryActions.py	(revision 1796)
@@ -45,4 +45,8 @@
     'name': 'cpsdir_label_edit_entry',
     'category': 'object',
+    'available': True,
+    'visible': True,
+    'allowed': True,
+    'permissions': ('View',), 
     }
 
Index: /WAeUP_SRP/trunk/skins/waeup_directory/member_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_directory/member_view.pt	(revision 1795)
+++ /WAeUP_SRP/trunk/skins/waeup_directory/member_view.pt	(revision 1796)
@@ -7,7 +7,10 @@
 <metal:block use-macro="here/main_template/macros/master">
 
-  <metal:block fill-slot="style_slot">
+  <metal:block fill-slot="head_slot">
     <tal:block define="global actions
-      python:context.getWAeUPDirectoryActions(actions, dirname, dir, 'view', id)"/>
+      python:context.getWAeUPDirectoryActions(actions, dirname, dir, 'view', id)"/>    
+  </metal:block>
+
+  <metal:block fill-slot="style_slot">  
     <link rel="Stylesheet" type="text/css" href=""
       tal:attributes="href string:${base_url}document.css" />
@@ -17,9 +20,8 @@
 
   <metal:block fill-slot="main" tal:define="
-    
-    res python: dir.renderEntryDetailed(id);
-    global rendered_main python: res[0];
-    ds python: res[1];
-    global title ds/?title_field|id;">
+                                res python: dir.renderEntryDetailed(id);
+                                global rendered_main python: res[0];
+                                ds python: res[1];
+                                global title ds/?title_field|id;">
     
     <h3>
@@ -27,5 +29,5 @@
     </h3>
 
-
+    
     <div tal:replace="structure rendered_main">Rendered main...</div>
     <input type="submit" name="back" i18n:attributes="value"
Index: /WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py	(revision 1795)
+++ /WAeUP_SRP/trunk/skins/waeup_student/display_session_results.py	(revision 1796)
@@ -81,5 +81,12 @@
 if res:
     student_id = res[0].id
-    student_obj = getattr(context.portal_url.getPortalObject().campus.students,student_id,None)
+
+    #There was one student with empty id in returning_import (BMS0406035)
+    student_obj = None
+    if student_id:
+        student_obj = getattr(context.portal_url.getPortalObject().campus.students,student_id,None)
+    else:
+        registered = ' '
+
     if student_obj and hasattr(student_obj,'application'):
         registered = student_id