Index: /WAeUP_SRP/trunk/Students.py
===================================================================
--- /WAeUP_SRP/trunk/Students.py	(revision 1804)
+++ /WAeUP_SRP/trunk/Students.py	(revision 1805)
@@ -123,17 +123,19 @@
 
         csv_d = {'jamb_reg_no': "reg_no",
-                 'name': "Firstame" + "Middlename" +"Lastname",
+                 'name': "fullname",
                  'score': "pume_score",
                  'sex': "sex",
                  'course': "study_course",
+                 'course_code_org': "study_course",
                  'status': "admission_status",
                  'result_type': "entry_mode",
                  }
-                                  
+
         csv_fields = [f[1] for f in csv_d.items() if f[1]]
         tr_count = 0
         total = 0
         #name = 'pup_new'
-        name = 'pup_update'
+        #name = 'pup_update'
+        name = 'Admitted'
         update = name.endswith('update')
         no_import = []
@@ -165,14 +167,14 @@
             for f,fn in csv_d.items():
                 dict[f] = jamb.get(csv_d[f])
-            dict['result_type'] = 'DE'
+            dict['result_type'] = 'CEST'
             jnr = jamb.get(csv_d['jamb_reg_no'])
-            if not checkJambNo(jnr):
-                logger.info(einvalidjamb % jamb)
-                dd = {}
-                for f,fn in csv_d.items():
-                    dd[fn] = getattr(data,f)
-                    no_import.append(eduplicate % dd)
-                    no_import.append(eduplicate % jamb)
-                continue
+            #if not checkJambNo(jnr):
+            #    logger.info(einvalidjamb % jamb)
+            #    dd = {}
+            #    for f,fn in csv_d.items():
+            #        dd[fn] = getattr(data,f)
+            #        no_import.append(eduplicate % dd)
+            #        no_import.append(eduplicate % jamb)
+            #    continue
             res = pume(jamb_reg_no=jnr)
             if len(res) > 0:
@@ -248,4 +250,5 @@
                  'study_course': "study_course",
                  'perm_address': "address",
+                 'admission_status': "admission_status",
                  }
         csv_fields = [f[1] for f in csv_d.items()]
@@ -269,4 +272,6 @@
             return
         for result in results:
+            if not result.get(csv_d['admission_status']).startswith('Admitted'):
+                continue
             #result['Error'] = "Processing "
             #logger.info(format % result)
Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 1804)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 1805)
@@ -195,5 +195,5 @@
             datastructure.setError(widget_id, "'%s' not a valid session key" % value)
             return 0
-        
+
         if len(v) == 1:
             v = value = '0%c' % v
@@ -265,6 +265,6 @@
             datastructure.setError(widget_id, "'%s' not a valid level key" % value)
             return 0
-        
-        if not value: 
+
+        if not value:
             v = value = '100'
         #import pdb;pdb.set_trace()
@@ -525,5 +525,5 @@
             pume = jamb_nr_catalog(jamb_reg_no = value)
             if len(pume) < 1:
-                err = 'No student with Registration Number %s' % (value)
+                err = 'No student record with registration number %s.' %value
             else:
                 datastructure['pume'] = pume[0]
@@ -998,5 +998,5 @@
             if datastructure.errors:
                 do = 0
-                datastructure.setError(widget_id, 'errors in other data, PIN neither checked nor used')
+                datastructure.setError(widget_id, 'PIN neither checked nor used.')
                 s_logger.info('%s/%s entered wrong data together with PIN %s' % (s_id,ref,pin_str))
         while do:
Index: /WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 1804)
+++ /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 1805)
@@ -163,7 +163,4 @@
               icon_expr="actionicon_user_preferences.png"/>
 
- <action-icon category="student" action_id="login_staff"
-              title="Staff Login" priority="0"
-              icon_expr="actionicon_login.png"/>
  <action-icon category="object" action_id="unchecked"
               title="Unchecked Items" priority="12"
@@ -215,9 +212,12 @@
               action_id="support" title="Enquiries"
               priority="5" icon_expr="blank.gif"/>
-              
+
  <action-icon category="student_object" action_id="slip"
               title="Acknowledegement Slip" priority="1"
               icon_expr="bell.png"/>
-              
+
+ <action-icon category="student" action_id="login_staff"
+              title="Staff Login" priority="0"
+              icon_expr="actionicon_login.png"/>
  <action-icon category="student" action_id="login_student"
               title="Student Login" priority="0"
@@ -232,21 +232,21 @@
               title="Display PDE Results" priority="3"
               icon_expr="zoom.png"/>
+ <action-icon category="student" action_id="display_cest_results"
+              title="Display CEST Results" priority="4"
+              icon_expr="zoom.png"/>
  <action-icon category="student" action_id="check_admission"
-              title="Check if admitted" priority="4"
+              title="Check if admitted" priority="5"
               icon_expr="bell.png"/>
  <action-icon category="student" action_id="display_session_results"
-              title="Display Session Results" priority="5"
+              title="Display Session Results" priority="6"
               icon_expr="bell.png"/>
  <action-icon category="student" action_id="firsttime_login"
-              title="Register for Previous Sessions" priority="6"
-              icon_expr="bell.png"/>
- <action-icon category="student" action_id="register_courses"
-              title="Register Courses" priority="5"
+              title="Register for Previous Sessions" priority="7"
               icon_expr="bell.png"/>
  <action-icon category="student" action_id="request_transfer"
-              title="Request Transfer" priority="6"
+              title="Request Transfer" priority="8"
               icon_expr="arrow_switch.png"/>
  <action-icon category="student" action_id="change_password"
-              title="Change Password" priority="7"
+              title="Change Password" priority="9"
               icon_expr="actionicon_user_preferences.png"/>
 
Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1804)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 1805)
@@ -130,4 +130,9 @@
    <permission>View</permission>
   </action>
+  <action title="View CEST Results" action_id="display_cest_results"
+     category="student" condition_expr="not:member"
+     url_expr="string:${portal_url}/display_cest_results" visible="True">
+   <permission>View</permission>
+  </action>  
   <action title="Check Admission" action_id="check_admission"
      category="student" condition_expr="not:member"
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application_search.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application_search.xml	(revision 1804)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application_search.xml	(revision 1805)
@@ -9,11 +9,11 @@
  <property name="validate_values_expr"></property>
  <widget name="jamb_reg_no" meta_type="JambRegNo Widget">
-  <property name="title">JAMB Registration Number</property>
+  <property name="title">Registration Number</property>
   <property name="fields">
    <element value="jamb_reg_no"/>
   </property>
-  <property name="is_required">True</property>  
-  <property name="label">JAMB Registration Number</property>
-  <property name="label_edit">JAMB Registration Number</property>
+  <property name="is_required">True</property>
+  <property name="label">Registration Number</property>
+  <property name="label_edit">Registration Number</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -21,6 +21,7 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
-  <property name="size_max">10</property>
+  <property name="display_width">13</property>
+  <property name="size_max">13</property>
+  <property name="catalog">portal_pumeresults</property>
  </widget>
  <table>
Index: /WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 1804)
+++ /WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 1805)
@@ -54,13 +54,13 @@
           <h2>New Students</h2>
 
-          <p>can view their 2006 PUME/PDE results and admission status (free of charge):</p>
+          <p>can view their 2006 PUME/PDE/CEST results and admission status (free of charge):</p>
           <br />
           <ul>
-          <li> Simply click "View PUME or PDE Results", </li> 
-          <li> enter your JAMB Registration Number and  </li> 
+          <li> Simply click "View PUME, PDE or CEST Results", </li> 
+          <li> enter your Registration Number and  </li> 
           <li> press the "Search" button. </li> 
           </ul>
           <br />
-          <p>Your PUME/PDE result record will be shown.</p>
+          <p>Your result record will be shown.</p>
           
           <p>If you are admitted, proceed with checking your admission details: </p>
@@ -68,6 +68,6 @@
           <ul>
           <li>Buy your Admission Checking Scratch Card,</li> 
-          <li>click "Check Adm. Details",</li> 
-          <li>enter your JAMB Registration Number and your Admission Checking PIN (prefix APP)</li> 
+          <li>click "Check Admission",</li> 
+          <li>enter your Registration Number and your Admission Checking PIN (prefix APP)</li> 
           <li>press the "Check" button,</li> 
           <li>print your admission slip and log out.</li> 
Index: /WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt	(revision 1804)
+++ /WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt	(revision 1805)
@@ -20,5 +20,5 @@
           <ul>
             <li>Buy an Application Scratch Card.</li> 
-            <li>Enter your JAMB Registration Number and the Admission PIN.</li> 
+            <li>Enter your Registration Number and the Admission PIN.</li> 
             <li>If you already checked admission, you can use this form to retrieve your Student Id but not 
                 to log in. <strong><font color="red">You must proceed to "Student Login".</font></strong></li> 
Index: /WAeUP_SRP/trunk/skins/waeup_student/display_cest_results.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_cest_results.py	(revision 1805)
+++ /WAeUP_SRP/trunk/skins/waeup_student/display_cest_results.py	(revision 1805)
@@ -0,0 +1,48 @@
+##parameters=REQUEST
+# $Id: display_pume_result.py 970 2006-11-30 12:16:52Z joachim $
+"""
+process the Application Form
+return html renderer + psm
+"""
+import DateTime
+current = DateTime.DateTime()
+pr = context.portal_registration
+
+
+type_name = 'StudentApplication'
+ti = context.portal_types[type_name]
+REQUEST.set('type_name',type_name)
+
+validate = REQUEST.has_key("cpsdocument_create_button")
+
+lt = context.portal_layouts
+pr = context.portal_registration
+
+res,psm,ds = lt.renderLayout(layout_id= 'student_application_search',
+                      schema_id= 'student_application',
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      formaction = "display_cest_results",
+                      button = "Search",
+                      commit=False,
+                      )
+if psm == 'invalid':
+    return context.display_cest_results_form(rendered = res,
+                                 psm = "Please correct your input!",
+                                 #psm = "%s, %s" % (psm,ds),
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == '':
+    return context.display_cest_results_form(rendered = res,
+                                 psm = None,
+                                 firstlayout = True,
+                                 lastlayout = True,
+                                 ds = ds,
+                                 )
+elif psm == 'valid':
+    return context.entry_results_anon_view(pume=ds['pume'])
+
Index: /WAeUP_SRP/trunk/skins/waeup_student/display_cest_results_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_cest_results_form.pt	(revision 1805)
+++ /WAeUP_SRP/trunk/skins/waeup_student/display_cest_results_form.pt	(revision 1805)
@@ -0,0 +1,23 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;
+                   data_storage options/ds;
+                   edition python:1;"
+                   >
+<metal:block define-macro="edit_form">
+  <metal:block use-macro="here/main_template/macros/master">
+  <metal:block fill-slot="header"
+    tal:define="creation creation|nothing;
+                edition edition|nothing;
+                metadata metadata|nothing"
+                >
+    </metal:block>
+      <metal:block fill-slot="main">
+        <h3>Display Your Common Entrance Screening Test Results!</h3>
+        <br />
+        <div tal:replace="structure rendered_main" />
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt	(revision 1804)
+++ /WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_slip.pt	(revision 1805)
@@ -4,5 +4,5 @@
     
     
-       <span tal:condition="python:pume['result_type']!='DE'">
+       <span tal:condition="python:pume['result_type'] not in ('DE','CEST')">
          <h3>PUME Results of <span tal:content="pume/name" /></h3>
        </span>
@@ -12,4 +12,7 @@
        </span>         
 
+       <span tal:condition="python:pume['result_type']=='CEST'">
+         <h3>CEST Results of <span tal:content="pume/name" /></h3>
+       </span>       
 
        <br />      
Index: /WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_view.pt	(revision 1804)
+++ /WAeUP_SRP/trunk/skins/waeup_student/entry_results_anon_view.pt	(revision 1805)
@@ -4,5 +4,6 @@
                       result_type pume/result_type">
 
-        <span tal:condition="python:result_type !='DE'">        
+                      
+        <span tal:condition="python:result_type not in ('DE','CEST')">        
         <div style="text-align: right">
         <a href="" target="slip" tal:attributes="href string:entry_results_anon_slip?nr=${pume/jamb_reg_no}"
@@ -15,4 +16,5 @@
         </span>       
                      
+
         <span tal:condition="python:result_type == 'DE'">
         <div style="text-align: right">
@@ -25,4 +27,15 @@
           <h3>PDE Results of <span tal:content="pume/name" /></h3>
         </span>     
+        
+        <span tal:condition="python:result_type == 'CEST'">
+        <div style="text-align: right">
+        <a href="" target="slip" tal:attributes="href string:entry_results_anon_slip?nr=${pume/jamb_reg_no}"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+            PDE Result Slip
+        </a>
+        </div>          
+          <h3>CEST Results of <span tal:content="pume/name" /></h3>
+        </span>             
         
        <br />              
@@ -37,5 +50,5 @@
        <table>
         <tr>
-          <th>JAMB Registration Number:</th><td tal:content="pume/jamb_reg_no"></td>
+          <th>Registration Number:</th><td tal:content="pume/jamb_reg_no"></td>
         </tr>
         <tr>
Index: /WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt	(revision 1804)
+++ /WAeUP_SRP/trunk/skins/waeup_student/firsttime_login_form.pt	(revision 1805)
@@ -1,12 +1,6 @@
 <metal:block use-macro="here/main_template/macros/master">
- <metal:block fill-slot="main"
-         tal:define="rendered_main options/rendered;
-             portal_status_message options/psm;
-             data_storage options/ds;
-             edition python:1;">
-    <h3>Data not yet imported!</h3>
-  </metal:block>
+
   
-  <metal:block fill-slot="mainx" tal:condition="python:0"
+  <metal:block fill-slot="main" tal:condition="python:1"
          tal:define="rendered_main options/rendered;
              portal_status_message options/psm;